package org.jeecg.modules.basedata.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdQuotationTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.basedata.entity.FdQuotationTemplateItem;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplateItem;

/**
 * @Description: 报价单模板
 * @author： jeecg-boot
 * @date：   2019-05-16
 * @version： V1.0
 */
public interface FdQuotationTemplateMapper extends BaseMapper<FdQuotationTemplate> {
    IPage<FdQuotationTemplate> findByPage(Page<FdQuotationTemplate> page, @Param("ew")QueryWrapper queryWrapper);

    void parentIdBatch(@Param("templateItemList")List<FdQuotationTemplateItem> templateItemList);


}
