package org.jeecg.modules.basedata.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdStoragePlace;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 存储位置表
 * @author： jeecg-boot
 * @date：   2019-05-07
 * @version： V1.0
 */
public interface FdStoragePlaceMapper extends BaseMapper<FdStoragePlace> {

    IPage<FdStoragePlace> findByPage(Page<FdStoragePlace> page, @Param("ew")QueryWrapper<FdStoragePlace> queryWrapper);
}
