package org.jeecg.modules.basedata.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.basedata.entity.FdHospitalContacts;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 医院联系人表
 * @author： jeecg-boot
 * @date：   2019-05-08
 * @version： V1.0
 */
public interface IFdHospitalContactsService extends IService<FdHospitalContacts> {

    IPage<FdHospitalContacts> findByPage(Page<FdHospitalContacts> page, QueryWrapper<FdHospitalContacts> queryWrapper);

    public List<FdHospitalContacts> getByHospitalId(String pkHospitalId);
}
