package org.jeecg.modules.basedata.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.basedata.entity.FdHospital;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @Description: 医院档案表
 * @author： jeecg-boot
 * @date：   2019-05-05
 * @version： V1.0
 */
public interface IFdHospitalService extends IService<FdHospital> {

    public IPage<FdHospital> findByPage(Page<FdHospital> page, QueryWrapper<FdHospital> queryWrapper);

    public void saveHospitalAndContacts(FdHospital hospital);

}
