package org.jeecg.modules.basedata.service.impl;

import org.jeecg.modules.basedata.entity.FdMatrixType;
import org.jeecg.modules.basedata.mapper.FdMatrixTypeMapper;
import org.jeecg.modules.basedata.service.IFdMatrixTypeService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 基质分类
 * @author： jeecg-boot
 * @date：   2019-05-05
 * @version： V1.0
 */
@Service
public class FdMatrixTypeServiceImpl extends ServiceImpl<FdMatrixTypeMapper, FdMatrixType> implements IFdMatrixTypeService {

    @Resource
    FdMatrixTypeMapper fdMatrixTypeMapper;

    /***
     * @Title:根据数组基质id查询对应数据
            * @Description:TODO
            * @param ids
            * @return java.util.List<org.jeecg.modules.basedata.entity.FdMatrixType>
            * @exception
            * @author 陈创
            * @date 2019/6/25 14:37
            * @updatehistory:
     *   2019/6/25 14:37 新增
            */
    @Override
    public List<FdMatrixType> selectBatchIds(String[] ids) {
        //储存合同id
        List<String> matIdList=new ArrayList<>();
        //循环数组转集合
        for(String matid:ids){
            matIdList.add(matid);
        }
        return fdMatrixTypeMapper.selectBatchIds(matIdList);
    }
}
