package org.jeecg.modules.basedata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.basedata.entity.FdQuotationTemplateItem;
import org.jeecg.modules.basedata.mapper.FdQuotationTemplateItemMapper;
import org.jeecg.modules.basedata.service.IFdQuotationTemplateItemService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 报价单模板项目
 * @author： jeecg-boot
 * @date：   2019-05-16
 * @version： V1.0
 */
@Service
@Transactional
public class FdQuotationTemplateItemServiceImpl extends ServiceImpl<FdQuotationTemplateItemMapper, FdQuotationTemplateItem> implements IFdQuotationTemplateItemService {

    @Resource
    FdQuotationTemplateItemMapper fdQuotationTemplateItemMapper;

    @Override
    public IPage<FdQuotationTemplateItem> findByPage(Page<FdQuotationTemplateItem> page, QueryWrapper<FdQuotationTemplateItem> queryWrapper) {
        return fdQuotationTemplateItemMapper.findByPage(page,queryWrapper);
    }

    @Override
    public List<FdQuotationTemplateItem> findOrderByCode(String pkQuotationTemplate) {
        return fdQuotationTemplateItemMapper.findOrderByCode(pkQuotationTemplate);
    }
}
