package org.jeecg.modules.fbsDispatchLists.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.jeecg.modules.fbsDispatchLists.entity.FbsDispatchLists;
import org.jeecg.modules.fbsDispatchLists.mapper.FbsDispatchListsMapper;
import org.jeecg.modules.fbsDispatchLists.service.IFbsDispatchListsService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 销售发货退货单主表（表题）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
@Service
@DS("multi-datasource1")
public class FbsDispatchListsServiceImpl extends ServiceImpl<FbsDispatchListsMapper, FbsDispatchLists> implements IFbsDispatchListsService {

    @Resource
    FbsDispatchListsMapper fbsDispatchListsMapper;

    @Override
    public Map<String, Object> getProjectDelivery() {
        List<FbsDispatchLists> fbsDispatchListsList=fbsDispatchListsMapper.getProjectDelivery();
        Map<String, Object> map=new HashMap<>();
        if(fbsDispatchListsList!=null){
            for(FbsDispatchLists fbsDispatchLists:fbsDispatchListsList){
                map.put(fbsDispatchLists.getCitemname(),fbsDispatchLists.getIquantity());
            }
        }
        return map;
    }
}
