package org.jeecg.modules.fbsMomOrder.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 生产订单子表
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Data
@TableName("mom_orderdetail")
public class FbsMomOrderdetail implements Serializable {
    private static final long serialVersionUID = 1L;
	/**id*/
	@Excel(name = "id", width = 15)
	@TableField(exist = false)
	private String id;
	/**modid*/
	@Excel(name = "modid", width = 15)
	private Integer modid;
	/**moid*/
	@Excel(name = "moid", width = 15)
	private Integer moid;
	/**sortseq*/
	@Excel(name = "sortseq", width = 15)
	private Integer sortseq;
	/**moclass*/
	@Excel(name = "moclass", width = 15)
	private Integer moclass;
	/**motypeid*/
	@Excel(name = "motypeid", width = 15)
	private Integer motypeid;
	/**qty*/
	@Excel(name = "qty", width = 15)
	private Object qty;
	/**mrpqty*/
	@Excel(name = "mrpqty", width = 15)
	private Object mrpqty;
	/**auxunitcode*/
	@Excel(name = "auxunitcode", width = 15)
	private String auxunitcode;
	/**auxqty*/
	@Excel(name = "auxqty", width = 15)
	private Object auxqty;
	/**changerate*/
	@Excel(name = "changerate", width = 15)
	private Object changerate;
	/**molotcode*/
	@Excel(name = "molotcode", width = 15)
	private String molotcode;
	/**whcode*/
	@Excel(name = "whcode", width = 15)
	private String whcode;
	/**mdeptcode*/
	@Excel(name = "mdeptcode", width = 15)
	private String mdeptcode;
	/**sotype*/
	@Excel(name = "sotype", width = 15)
	private Integer sotype;
	/**sodid*/
	@Excel(name = "sodid", width = 15)
	private String sodid;
	/**socode*/
	@Excel(name = "socode", width = 15)
	private String socode;
	/**soseq*/
	@Excel(name = "soseq", width = 15)
	private Integer soseq;
	/**declaredqty*/
	@Excel(name = "declaredqty", width = 15)
	private Object declaredqty;
	/**qualifiedinqty*/
	@Excel(name = "qualifiedinqty", width = 15)
	private Object qualifiedinqty;
	/**status*/
	@Excel(name = "status", width = 15)
	private Integer status;
	/**orgstatus*/
	@Excel(name = "orgstatus", width = 15)
	private Integer orgstatus;
	/**bomid*/
	@Excel(name = "bomid", width = 15)
	private Integer bomid;
	/**routingid*/
	@Excel(name = "routingid", width = 15)
	private Integer routingid;
	/**custbomid*/
	@Excel(name = "custbomid", width = 15)
	private Integer custbomid;
	/**demandid*/
	@Excel(name = "demandid", width = 15)
	private Integer demandid;
	/**plancode*/
	@Excel(name = "plancode", width = 15)
	private String plancode;
	/**partid*/
	@Excel(name = "partid", width = 15)
	private Integer partid;
	/**invcode*/
	@Excel(name = "invcode", width = 15)
	private String invcode;
	/**free1*/
	@Excel(name = "free1", width = 15)
	private String free1;
	/**free2*/
	@Excel(name = "free2", width = 15)
	private String free2;
	/**free3*/
	@Excel(name = "free3", width = 15)
	private String free3;
	/**free4*/
	@Excel(name = "free4", width = 15)
	private String free4;
	/**free5*/
	@Excel(name = "free5", width = 15)
	private String free5;
	/**free6*/
	@Excel(name = "free6", width = 15)
	private String free6;
	/**free7*/
	@Excel(name = "free7", width = 15)
	private String free7;
	/**free8*/
	@Excel(name = "free8", width = 15)
	private String free8;
	/**free9*/
	@Excel(name = "free9", width = 15)
	private String free9;
	/**free10*/
	@Excel(name = "free10", width = 15)
	private String free10;
	/**sfcflag*/
	@Excel(name = "sfcflag", width = 15)
	private Object sfcflag;
	/**crpflag*/
	@Excel(name = "crpflag", width = 15)
	private Object crpflag;
	/**qcflag*/
	@Excel(name = "qcflag", width = 15)
	private Object qcflag;
	/**relsdate*/
	@Excel(name = "relsdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date relsdate;
	/**relsuser*/
	@Excel(name = "relsuser", width = 15)
	private String relsuser;
	/**closedate*/
	@Excel(name = "closedate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date closedate;
	/**orgclsdate*/
	@Excel(name = "orgclsdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date orgclsdate;
	/**ufts*/
	private Date ufts;
	/**define22*/
	@Excel(name = "define22", width = 15)
	private String define22;
	/**define23*/
	@Excel(name = "define23", width = 15)
	private String define23;
	/**define24*/
	@Excel(name = "define24", width = 15)
	private String define24;
	/**define25*/
	@Excel(name = "define25", width = 15)
	private String define25;
	/**define26*/
	@Excel(name = "define26", width = 15)
	private Float define26;
	/**define27*/
	@Excel(name = "define27", width = 15)
	private Float define27;
	/**define28*/
	@Excel(name = "define28", width = 15)
	private String define28;
	/**define29*/
	@Excel(name = "define29", width = 15)
	private String define29;
	/**define30*/
	@Excel(name = "define30", width = 15)
	private String define30;
	/**define31*/
	@Excel(name = "define31", width = 15)
	private String define31;
	/**define32*/
	@Excel(name = "define32", width = 15)
	private String define32;
	/**define33*/
	@Excel(name = "define33", width = 15)
	private String define33;
	/**define34*/
	@Excel(name = "define34", width = 15)
	private Integer define34;
	/**define35*/
	@Excel(name = "define35", width = 15)
	private Integer define35;
	/**define36*/
	@Excel(name = "define36", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date define36;
	/**define37*/
	@Excel(name = "define37", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date define37;
	/**leadtime*/
	@Excel(name = "leadtime", width = 15)
	private Integer leadtime;
	/**opscheduletype*/
	@Excel(name = "opscheduletype", width = 15)
	private Integer opscheduletype;
	/**ordflag*/
	@Excel(name = "ordflag", width = 15)
	private Object ordflag;
	/**wiptype*/
	@Excel(name = "wiptype", width = 15)
	private Integer wiptype;
	/**supplywhcode*/
	@Excel(name = "supplywhcode", width = 15)
	private String supplywhcode;
	/**reasoncode*/
	@Excel(name = "reasoncode", width = 15)
	private String reasoncode;
	/**iswfcontrolled*/
	@Excel(name = "iswfcontrolled", width = 15)
	private Integer iswfcontrolled;
	/**iverifystate*/
	@Excel(name = "iverifystate", width = 15)
	private Integer iverifystate;
	/**ireturncount*/
	@Excel(name = "ireturncount", width = 15)
	private Integer ireturncount;
	/**remark*/
	@Excel(name = "remark", width = 15)
	private String remark;
	/**sourcemocode*/
	@Excel(name = "sourcemocode", width = 15)
	private String sourcemocode;
	/**sourcemoseq*/
	@Excel(name = "sourcemoseq", width = 15)
	private Integer sourcemoseq;
	/**sourcemoid*/
	@Excel(name = "sourcemoid", width = 15)
	private Integer sourcemoid;
	/**sourcemodid*/
	@Excel(name = "sourcemodid", width = 15)
	private Integer sourcemodid;
	/**sourceqccode*/
	@Excel(name = "sourceqccode", width = 15)
	private String sourceqccode;
	/**sourceqcid*/
	@Excel(name = "sourceqcid", width = 15)
	private Integer sourceqcid;
	/**sourceqcdid*/
	@Excel(name = "sourceqcdid", width = 15)
	private Integer sourceqcdid;
	/**costitemcode*/
	@Excel(name = "costitemcode", width = 15)
	private String costitemcode;
	/**costitemname*/
	@Excel(name = "costitemname", width = 15)
	private String costitemname;
	/**relstime*/
	@Excel(name = "relstime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date relstime;
	/**closeuser*/
	@Excel(name = "closeuser", width = 15)
	private String closeuser;
	/**closetime*/
	@Excel(name = "closetime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date closetime;
	/**orgclstime*/
	@Excel(name = "orgclstime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date orgclstime;
	/**auditstatus*/
	@Excel(name = "auditstatus", width = 15)
	private Integer auditstatus;
	/**pallocateid*/
	@Excel(name = "pallocateid", width = 15)
	private Integer pallocateid;
	/**demandcode*/
	@Excel(name = "demandcode", width = 15)
	private String demandcode;
	/**collectiveflag*/
	@Excel(name = "collectiveflag", width = 15)
	private Integer collectiveflag;
	/**ordertype*/
	@Excel(name = "ordertype", width = 15)
	private Integer ordertype;
	/**orderdid*/
	@Excel(name = "orderdid", width = 15)
	private Integer orderdid;
	/**ordercode*/
	@Excel(name = "ordercode", width = 15)
	private String ordercode;
	/**orderseq*/
	@Excel(name = "orderseq", width = 15)
	private Integer orderseq;
	/**manualcode*/
	@Excel(name = "manualcode", width = 15)
	private String manualcode;
	/**reformflag*/
	@Excel(name = "reformflag", width = 15)
	private Object reformflag;
	/**sourceqcvouchtype*/
	@Excel(name = "sourceqcvouchtype", width = 15)
	private Integer sourceqcvouchtype;
	/**orgqty*/
	@Excel(name = "orgqty", width = 15)
	private Object orgqty;
	/**fmflag*/
	@Excel(name = "fmflag", width = 15)
	private Object fmflag;
	/**minsn*/
	@Excel(name = "minsn", width = 15)
	private String minsn;
	/**maxsn*/
	@Excel(name = "maxsn", width = 15)
	private String maxsn;
	/**sourcesvccode*/
	@Excel(name = "sourcesvccode", width = 15)
	private String sourcesvccode;
	/**sourcesvcid*/
	@Excel(name = "sourcesvcid", width = 15)
	private String sourcesvcid;
	/**sourcesvcdid*/
	@Excel(name = "sourcesvcdid", width = 15)
	private String sourcesvcdid;
	/**bomtype*/
	@Excel(name = "bomtype", width = 15)
	private Integer bomtype;
	/**routingtype*/
	@Excel(name = "routingtype", width = 15)
	private Integer routingtype;
	/**busflowid*/
	@Excel(name = "busflowid", width = 15)
	private Integer busflowid;
	/**runcardflag*/
	@Excel(name = "runcardflag", width = 15)
	private Object runcardflag;
	/**requisitionflag*/
	@Excel(name = "requisitionflag", width = 15)
	private Object requisitionflag;
	/**allovtid*/
	@Excel(name = "allovtid", width = 15)
	private Integer allovtid;
	/**relsallovtid*/
	@Excel(name = "relsallovtid", width = 15)
	private Integer relsallovtid;
	/**iprintcount*/
	@Excel(name = "iprintcount", width = 15)
	private Integer iprintcount;
	/**cbsysbarcode*/
	@Excel(name = "cbsysbarcode", width = 15)
	private String cbsysbarcode;
	/**ccurrentauditor*/
	@Excel(name = "ccurrentauditor", width = 15)
	private String ccurrentauditor;
	/**custcode*/
	@Excel(name = "custcode", width = 15)
	private String custcode;
	/**lplancode*/
	@Excel(name = "lplancode", width = 15)
	private String lplancode;
	/**sourcesvcvouchtype*/
	@Excel(name = "sourcesvcvouchtype", width = 15)
	private Integer sourcesvcvouchtype;
	/**factorycode*/
	@Excel(name = "factorycode", width = 15)
	private String factorycode;

	private String cinvname;
}
