package org.jeecg.modules.fbsMomOrder.service;

import org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 生产订单子表
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
public interface IFbsMomOrderdetailService extends IService<FbsMomOrderdetail> {
    /**
    * @Author chenchuang
    * @Description //TODO 查询生产订单总数，入库总数
    * @Date 2020/10/21 12:00
    * @Param []
    * @return org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail
    */
    Map<String,Object> getFbsMomOrderdetailSum();

    /**
    * @Author chenchuang
    * @Description //TODO 查询U8物料中的完工数量
    * @Date 2020/10/21 17:41
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getQualifiedInQty();

    /**
    * @Author chenchuang
    * @Description //TODO 周成品入库数量
    * @Date 2020/10/21 21:44
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    Map<String,Object> getQualifiedInQtyWeek();
}
