package org.jeecg.modules.fbsMomOrder.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail;
import org.jeecg.modules.fbsMomOrder.mapper.FbsMomOrderdetailMapper;
import org.jeecg.modules.fbsMomOrder.service.IFbsMomOrderdetailService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 生产订单子表
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Service
@DS("multi-datasource1")
public class FbsMomOrderdetailServiceImpl extends ServiceImpl<FbsMomOrderdetailMapper, FbsMomOrderdetail> implements IFbsMomOrderdetailService {

    @Resource
    FbsMomOrderdetailMapper fbsMomOrderdetailMapper;

    @Override
    public Map<String,Object> getFbsMomOrderdetailSum() {
        return fbsMomOrderdetailMapper.getFbsMomOrderdetailSum();
    }

    @Override
    public List<FbsMomOrderdetail> getQualifiedInQty() {
        return fbsMomOrderdetailMapper.getQualifiedInQty();
    }

    @Override
    public Map<String,Object> getQualifiedInQtyWeek() {
        Map<String,Object> map=new HashMap<>();
        List<FbsMomOrderdetail> fbsMomOrderdetailList=fbsMomOrderdetailMapper.getQualifiedInQtyWeek();
        if(fbsMomOrderdetailList!=null){
            for(FbsMomOrderdetail fbsMomOrderdetail:fbsMomOrderdetailList){
                map.put(fbsMomOrderdetail.getCinvname(),fbsMomOrderdetail.getQualifiedinqty());
            }
        }
        return map;
    }
}
