package org.jeecg.modules.fbsPuArrivalvouch.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 采购到货退货单主表（表体）
 * @author： jeecg-boot
 * @date：   2020-10-21
 * @version： V1.0
 */
@Data
@TableName("pu_arrivalvouchs")
public class FbsArrivalVouchs implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**autoid*/
	@Excel(name = "autoid", width = 15)
	private Integer autoid;
	/**id*/
	@TableId(type = IdType.UUID)
	private Integer id;
	/**cwhcode*/
	@Excel(name = "cwhcode", width = 15)
	private String cwhcode;
	/**cinvcode*/
	@Excel(name = "cinvcode", width = 15)
	private String cinvcode;
	/**inum*/
	@Excel(name = "inum", width = 15)
	private java.math.BigDecimal inum;
	/**iquantity*/
	@Excel(name = "iquantity", width = 15)
	private java.math.BigDecimal iquantity;
	/**ioricost*/
	@Excel(name = "ioricost", width = 15)
	private java.math.BigDecimal ioricost;
	/**ioritaxcost*/
	@Excel(name = "ioritaxcost", width = 15)
	private java.math.BigDecimal ioritaxcost;
	/**iorimoney*/
	@Excel(name = "iorimoney", width = 15)
	private Object iorimoney;
	/**ioritaxprice*/
	@Excel(name = "ioritaxprice", width = 15)
	private Object ioritaxprice;
	/**iorisum*/
	@Excel(name = "iorisum", width = 15)
	private Object iorisum;
	/**icost*/
	@Excel(name = "icost", width = 15)
	private java.math.BigDecimal icost;
	/**imoney*/
	@Excel(name = "imoney", width = 15)
	private Object imoney;
	/**itaxprice*/
	@Excel(name = "itaxprice", width = 15)
	private Object itaxprice;
	/**isum*/
	@Excel(name = "isum", width = 15)
	private Object isum;
	/**cfree1*/
	@Excel(name = "cfree1", width = 15)
	private String cfree1;
	/**cfree2*/
	@Excel(name = "cfree2", width = 15)
	private String cfree2;
	/**cfree3*/
	@Excel(name = "cfree3", width = 15)
	private String cfree3;
	/**cfree4*/
	@Excel(name = "cfree4", width = 15)
	private String cfree4;
	/**cfree5*/
	@Excel(name = "cfree5", width = 15)
	private String cfree5;
	/**cfree6*/
	@Excel(name = "cfree6", width = 15)
	private String cfree6;
	/**cfree7*/
	@Excel(name = "cfree7", width = 15)
	private String cfree7;
	/**cfree8*/
	@Excel(name = "cfree8", width = 15)
	private String cfree8;
	/**cfree9*/
	@Excel(name = "cfree9", width = 15)
	private String cfree9;
	/**cfree10*/
	@Excel(name = "cfree10", width = 15)
	private String cfree10;
	/**itaxrate*/
	@Excel(name = "itaxrate", width = 15)
	private java.math.BigDecimal itaxrate;
	/**cdefine22*/
	@Excel(name = "cdefine22", width = 15)
	private String cdefine22;
	/**cdefine23*/
	@Excel(name = "cdefine23", width = 15)
	private String cdefine23;
	/**cdefine24*/
	@Excel(name = "cdefine24", width = 15)
	private String cdefine24;
	/**cdefine25*/
	@Excel(name = "cdefine25", width = 15)
	private String cdefine25;
	/**cdefine26*/
	@Excel(name = "cdefine26", width = 15)
	private Float cdefine26;
	/**cdefine27*/
	@Excel(name = "cdefine27", width = 15)
	private Float cdefine27;
	/**cdefine28*/
	@Excel(name = "cdefine28", width = 15)
	private String cdefine28;
	/**cdefine29*/
	@Excel(name = "cdefine29", width = 15)
	private String cdefine29;
	/**cdefine30*/
	@Excel(name = "cdefine30", width = 15)
	private String cdefine30;
	/**cdefine31*/
	@Excel(name = "cdefine31", width = 15)
	private String cdefine31;
	/**cdefine32*/
	@Excel(name = "cdefine32", width = 15)
	private String cdefine32;
	/**cdefine33*/
	@Excel(name = "cdefine33", width = 15)
	private String cdefine33;
	/**cdefine34*/
	@Excel(name = "cdefine34", width = 15)
	private Integer cdefine34;
	/**cdefine35*/
	@Excel(name = "cdefine35", width = 15)
	private Integer cdefine35;
	/**cdefine36*/
	@Excel(name = "cdefine36", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine36;
	/**cdefine37*/
	@Excel(name = "cdefine37", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine37;
	/**citemClass*/
	@Excel(name = "citemClass", width = 15)
	private String citemClass;
	/**citemcode*/
	@Excel(name = "citemcode", width = 15)
	private String citemcode;
	/**iposid*/
	@Excel(name = "iposid", width = 15)
	private Integer iposid;
	/**citemname*/
	@Excel(name = "citemname", width = 15)
	private String citemname;
	/**cunitid*/
	@Excel(name = "cunitid", width = 15)
	private String cunitid;
	/**fvalidinquan*/
	@Excel(name = "fvalidinquan", width = 15)
	private java.math.BigDecimal fvalidinquan;
	/**fkpquantity*/
	@Excel(name = "fkpquantity", width = 15)
	private java.math.BigDecimal fkpquantity;
	/**frealquantity*/
	@Excel(name = "frealquantity", width = 15)
	private java.math.BigDecimal frealquantity;
	/**fvalidquantity*/
	@Excel(name = "fvalidquantity", width = 15)
	private java.math.BigDecimal fvalidquantity;
	/**finvalidquantity*/
	@Excel(name = "finvalidquantity", width = 15)
	private java.math.BigDecimal finvalidquantity;
	/**ccloser*/
	@Excel(name = "ccloser", width = 15)
	private String ccloser;
	/**icorid*/
	@Excel(name = "icorid", width = 15)
	private Integer icorid;
	/**fretquantity*/
	@Excel(name = "fretquantity", width = 15)
	private java.math.BigDecimal fretquantity;
	/**finvalidinquan*/
	@Excel(name = "finvalidinquan", width = 15)
	private java.math.BigDecimal finvalidinquan;
	/**bgsp*/
	@Excel(name = "bgsp", width = 15)
	private Integer bgsp;
	/**cbatch*/
	@Excel(name = "cbatch", width = 15)
	private String cbatch;
	/**dvdate*/
	@Excel(name = "dvdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dvdate;
	/**dpdate*/
	@Excel(name = "dpdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dpdate;
	/**frefusequantity*/
	@Excel(name = "frefusequantity", width = 15)
	private java.math.BigDecimal frefusequantity;
	/**cgspstate*/
	@Excel(name = "cgspstate", width = 15)
	private String cgspstate;
	/**fvalidnum*/
	@Excel(name = "fvalidnum", width = 15)
	private java.math.BigDecimal fvalidnum;
	/**fvalidinnum*/
	@Excel(name = "fvalidinnum", width = 15)
	private java.math.BigDecimal fvalidinnum;
	/**finvalidnum*/
	@Excel(name = "finvalidnum", width = 15)
	private java.math.BigDecimal finvalidnum;
	/**frealnum*/
	@Excel(name = "frealnum", width = 15)
	private java.math.BigDecimal frealnum;
	/**btaxcost*/
	@Excel(name = "btaxcost", width = 15)
	private Object btaxcost;
	/**binspect*/
	@Excel(name = "binspect", width = 15)
	private Integer binspect;
	/**frefusenum*/
	@Excel(name = "frefusenum", width = 15)
	private java.math.BigDecimal frefusenum;
	/**ippartid*/
	@Excel(name = "ippartid", width = 15)
	private Integer ippartid;
	/**ipquantity*/
	@Excel(name = "ipquantity", width = 15)
	private java.math.BigDecimal ipquantity;
	/**iptoseq*/
	@Excel(name = "iptoseq", width = 15)
	private Integer iptoseq;
	/**sodid*/
	@Excel(name = "sodid", width = 15)
	private String sodid;
	/**sotype*/
	@Excel(name = "sotype", width = 15)
	private Integer sotype;
	/**contractrowguid*/
	@Excel(name = "contractrowguid", width = 15)
	private Object contractrowguid;
	/**imassdate*/
	@Excel(name = "imassdate", width = 15)
	private Integer imassdate;
	/**cmassunit*/
	@Excel(name = "cmassunit", width = 15)
	private Integer cmassunit;
	/**bexigency*/
	@Excel(name = "bexigency", width = 15)
	private Integer bexigency;
	/**cbcloser*/
	@Excel(name = "cbcloser", width = 15)
	private String cbcloser;
	/**fsumrefusequantity*/
	@Excel(name = "fsumrefusequantity", width = 15)
	private java.math.BigDecimal fsumrefusequantity;
	/**fsumrefusenum*/
	@Excel(name = "fsumrefusenum", width = 15)
	private java.math.BigDecimal fsumrefusenum;
	/**fretnum*/
	@Excel(name = "fretnum", width = 15)
	private java.math.BigDecimal fretnum;
	/**fdtquantity*/
	@Excel(name = "fdtquantity", width = 15)
	private java.math.BigDecimal fdtquantity;
	/**finvalidinnum*/
	@Excel(name = "finvalidinnum", width = 15)
	private java.math.BigDecimal finvalidinnum;
	/**fdegradequantity*/
	@Excel(name = "fdegradequantity", width = 15)
	private java.math.BigDecimal fdegradequantity;
	/**fdegradenum*/
	@Excel(name = "fdegradenum", width = 15)
	private java.math.BigDecimal fdegradenum;
	/**fdegradeinquantity*/
	@Excel(name = "fdegradeinquantity", width = 15)
	private java.math.BigDecimal fdegradeinquantity;
	/**fdegradeinnum*/
	@Excel(name = "fdegradeinnum", width = 15)
	private java.math.BigDecimal fdegradeinnum;
	/**finspectquantity*/
	@Excel(name = "finspectquantity", width = 15)
	private java.math.BigDecimal finspectquantity;
	/**finspectnum*/
	@Excel(name = "finspectnum", width = 15)
	private java.math.BigDecimal finspectnum;
	/**iinvmpcost*/
	@Excel(name = "iinvmpcost", width = 15)
	private java.math.BigDecimal iinvmpcost;
	/**guids*/
	@Excel(name = "guids", width = 15)
	private String guids;
	/**iinvexchrate*/
	@Excel(name = "iinvexchrate", width = 15)
	private java.math.BigDecimal iinvexchrate;
	/**objectidSource*/
	@Excel(name = "objectidSource", width = 15)
	private String objectidSource;
	/**autoidSource*/
	@Excel(name = "autoidSource", width = 15)
	private Integer autoidSource;
	/**uftsSource*/
	@Excel(name = "uftsSource", width = 15)
	private String uftsSource;
	/**irownoSource*/
	@Excel(name = "irownoSource", width = 15)
	private Integer irownoSource;
	/**csocode*/
	@Excel(name = "csocode", width = 15)
	private String csocode;
	/**isorowno*/
	@Excel(name = "isorowno", width = 15)
	private Integer isorowno;
	/**iorderid*/
	@Excel(name = "iorderid", width = 15)
	private Integer iorderid;
	/**cordercode*/
	@Excel(name = "cordercode", width = 15)
	private String cordercode;
	/**iorderrowno*/
	@Excel(name = "iorderrowno", width = 15)
	private Integer iorderrowno;
	/**dlineclosedate*/
	@Excel(name = "dlineclosedate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dlineclosedate;
	/**contractcode*/
	@Excel(name = "contractcode", width = 15)
	private String contractcode;
	/**contractrowno*/
	@Excel(name = "contractrowno", width = 15)
	private String contractrowno;
	/**rejectsource*/
	@Excel(name = "rejectsource", width = 15)
	private Object rejectsource;
	/**iciqbookid*/
	@Excel(name = "iciqbookid", width = 15)
	private Integer iciqbookid;
	/**cciqbookcode*/
	@Excel(name = "cciqbookcode", width = 15)
	private String cciqbookcode;
	/**cciqcode*/
	@Excel(name = "cciqcode", width = 15)
	private String cciqcode;
	/**fciqchangrate*/
	@Excel(name = "fciqchangrate", width = 15)
	private java.math.BigDecimal fciqchangrate;
	/**irejectautoid*/
	@Excel(name = "irejectautoid", width = 15)
	private Integer irejectautoid;
	/**iexpiratdatecalcu*/
	@Excel(name = "iexpiratdatecalcu", width = 15)
	private Integer iexpiratdatecalcu;
	/**cexpirationdate*/
	@Excel(name = "cexpirationdate", width = 15)
	private String cexpirationdate;
	/**dexpirationdate*/
	@Excel(name = "dexpirationdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dexpirationdate;
	/**cupsocode*/
	@Excel(name = "cupsocode", width = 15)
	private String cupsocode;
	/**iorderdid*/
	@Excel(name = "iorderdid", width = 15)
	private Integer iorderdid;
	/**iordertype*/
	@Excel(name = "iordertype", width = 15)
	private Integer iordertype;
	/**csoordercode*/
	@Excel(name = "csoordercode", width = 15)
	private String csoordercode;
	/**iorderseq*/
	@Excel(name = "iorderseq", width = 15)
	private Integer iorderseq;
	/**cbatchproperty1*/
	@Excel(name = "cbatchproperty1", width = 15)
	private java.math.BigDecimal cbatchproperty1;
	/**cbatchproperty2*/
	@Excel(name = "cbatchproperty2", width = 15)
	private java.math.BigDecimal cbatchproperty2;
	/**cbatchproperty3*/
	@Excel(name = "cbatchproperty3", width = 15)
	private java.math.BigDecimal cbatchproperty3;
	/**cbatchproperty4*/
	@Excel(name = "cbatchproperty4", width = 15)
	private java.math.BigDecimal cbatchproperty4;
	/**cbatchproperty5*/
	@Excel(name = "cbatchproperty5", width = 15)
	private java.math.BigDecimal cbatchproperty5;
	/**cbatchproperty6*/
	@Excel(name = "cbatchproperty6", width = 15)
	private String cbatchproperty6;
	/**cbatchproperty7*/
	@Excel(name = "cbatchproperty7", width = 15)
	private String cbatchproperty7;
	/**cbatchproperty8*/
	@Excel(name = "cbatchproperty8", width = 15)
	private String cbatchproperty8;
	/**cbatchproperty9*/
	@Excel(name = "cbatchproperty9", width = 15)
	private String cbatchproperty9;
	/**cbatchproperty10*/
	@Excel(name = "cbatchproperty10", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cbatchproperty10;
	/**ivouchrowno*/
	@Excel(name = "ivouchrowno", width = 15)
	private Integer ivouchrowno;
	/**irowno*/
	@Excel(name = "irowno", width = 15)
	private Integer irowno;
	/**cbmemo*/
	@Excel(name = "cbmemo", width = 15)
	private String cbmemo;
	/**cbsysbarcode*/
	@Excel(name = "cbsysbarcode", width = 15)
	private String cbsysbarcode;
	/**carrivalcode*/
	@Excel(name = "carrivalcode", width = 15)
	private String carrivalcode;
	/**ipickedquantity*/
	@Excel(name = "ipickedquantity", width = 15)
	private Float ipickedquantity;
	/**ipickednum*/
	@Excel(name = "ipickednum", width = 15)
	private Float ipickednum;
	/**isourcemocode*/
	@Excel(name = "isourcemocode", width = 15)
	private String isourcemocode;
	/**isourcemodetailsid*/
	@Excel(name = "isourcemodetailsid", width = 15)
	private Integer isourcemodetailsid;
	/**freworkquantity*/
	@Excel(name = "freworkquantity", width = 15)
	private java.math.BigDecimal freworkquantity;
	/**freworknum*/
	@Excel(name = "freworknum", width = 15)
	private java.math.BigDecimal freworknum;
	/**fsumreworkquantity*/
	@Excel(name = "fsumreworkquantity", width = 15)
	private java.math.BigDecimal fsumreworkquantity;
	/**fsumreworknum*/
	@Excel(name = "fsumreworknum", width = 15)
	private java.math.BigDecimal fsumreworknum;
	/**iproducttype*/
	@Excel(name = "iproducttype", width = 15)
	private Integer iproducttype;
	/**cmaininvcode*/
	@Excel(name = "cmaininvcode", width = 15)
	private String cmaininvcode;
	/**imainmodetailsid*/
	@Excel(name = "imainmodetailsid", width = 15)
	private Integer imainmodetailsid;
	/**planlotnumber*/
	@Excel(name = "planlotnumber", width = 15)
	private String planlotnumber;
	/**bgift*/
	@Excel(name = "bgift", width = 15)
	private Integer bgift;
	/**cfactorycode*/
	@Excel(name = "cfactorycode", width = 15)
	private String cfactorycode;
}
