package org.jeecg.modules.fbsRdrecord32.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 销售出库单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
@Data
@TableName("rdrecord32")
public class FbsRdrecord32 implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**id*/
	@TableId(type = IdType.UUID)
	private Integer id;
	/**brdflag*/
	@Excel(name = "brdflag", width = 15)
	private Integer brdflag;
	/**cvouchtype*/
	@Excel(name = "cvouchtype", width = 15)
	private String cvouchtype;
	/**cbustype*/
	@Excel(name = "cbustype", width = 15)
	private String cbustype;
	/**csource*/
	@Excel(name = "csource", width = 15)
	private String csource;
	/**cbuscode*/
	@Excel(name = "cbuscode", width = 15)
	private String cbuscode;
	/**cwhcode*/
	@Excel(name = "cwhcode", width = 15)
	private String cwhcode;
	/**ddate*/
	@Excel(name = "ddate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date ddate;
	/**ccode*/
	@Excel(name = "ccode", width = 15)
	private String ccode;
	/**crdcode*/
	@Excel(name = "crdcode", width = 15)
	private String crdcode;
	/**cdepcode*/
	@Excel(name = "cdepcode", width = 15)
	private String cdepcode;
	/**cpersoncode*/
	@Excel(name = "cpersoncode", width = 15)
	private String cpersoncode;
	/**cptcode*/
	@Excel(name = "cptcode", width = 15)
	private String cptcode;
	/**cstcode*/
	@Excel(name = "cstcode", width = 15)
	private String cstcode;
	/**ccuscode*/
	@Excel(name = "ccuscode", width = 15)
	private String ccuscode;
	/**cvencode*/
	@Excel(name = "cvencode", width = 15)
	private String cvencode;
	/**cordercode*/
	@Excel(name = "cordercode", width = 15)
	private String cordercode;
	/**carvcode*/
	@Excel(name = "carvcode", width = 15)
	private String carvcode;
	/**cbillcode*/
	@Excel(name = "cbillcode", width = 15)
	private Integer cbillcode;
	/**cdlcode*/
	@Excel(name = "cdlcode", width = 15)
	private Integer cdlcode;
	/**cprobatch*/
	@Excel(name = "cprobatch", width = 15)
	private String cprobatch;
	/**chandler*/
	@Excel(name = "chandler", width = 15)
	private String chandler;
	/**cmemo*/
	@Excel(name = "cmemo", width = 15)
	private String cmemo;
	/**btransflag*/
	@Excel(name = "btransflag", width = 15)
	private Object btransflag;
	/**caccounter*/
	@Excel(name = "caccounter", width = 15)
	private String caccounter;
	/**cmaker*/
	@Excel(name = "cmaker", width = 15)
	private String cmaker;
	/**cdefine1*/
	@Excel(name = "cdefine1", width = 15)
	private String cdefine1;
	/**cdefine2*/
	@Excel(name = "cdefine2", width = 15)
	private String cdefine2;
	/**cdefine3*/
	@Excel(name = "cdefine3", width = 15)
	private String cdefine3;
	/**cdefine4*/
	@Excel(name = "cdefine4", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine4;
	/**cdefine5*/
	@Excel(name = "cdefine5", width = 15)
	private Integer cdefine5;
	/**cdefine6*/
	@Excel(name = "cdefine6", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine6;
	/**cdefine7*/
	@Excel(name = "cdefine7", width = 15)
	private Float cdefine7;
	/**cdefine8*/
	@Excel(name = "cdefine8", width = 15)
	private String cdefine8;
	/**cdefine9*/
	@Excel(name = "cdefine9", width = 15)
	private String cdefine9;
	/**cdefine10*/
	@Excel(name = "cdefine10", width = 15)
	private String cdefine10;
	/**dkeepdate*/
	@Excel(name = "dkeepdate", width = 15)
	private String dkeepdate;
	/**dveridate*/
	@Excel(name = "dveridate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dveridate;
	/**bpufirst*/
	@Excel(name = "bpufirst", width = 15)
	private Object bpufirst;
	/**biafirst*/
	@Excel(name = "biafirst", width = 15)
	private Object biafirst;
	/**imquantity*/
	@Excel(name = "imquantity", width = 15)
	private Float imquantity;
	/**darvdate*/
	@Excel(name = "darvdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date darvdate;
	/**cchkcode*/
	@Excel(name = "cchkcode", width = 15)
	private String cchkcode;
	/**dchkdate*/
	@Excel(name = "dchkdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dchkdate;
	/**cchkperson*/
	@Excel(name = "cchkperson", width = 15)
	private String cchkperson;
	/**vtId*/
	@Excel(name = "vtId", width = 15)
	private Integer vtId;
	/**bisstqc*/
	@Excel(name = "bisstqc", width = 15)
	private Object bisstqc;
	/**cdefine11*/
	@Excel(name = "cdefine11", width = 15)
	private String cdefine11;
	/**cdefine12*/
	@Excel(name = "cdefine12", width = 15)
	private String cdefine12;
	/**cdefine13*/
	@Excel(name = "cdefine13", width = 15)
	private String cdefine13;
	/**cdefine14*/
	@Excel(name = "cdefine14", width = 15)
	private String cdefine14;
	/**cdefine15*/
	@Excel(name = "cdefine15", width = 15)
	private Integer cdefine15;
	/**cdefine16*/
	@Excel(name = "cdefine16", width = 15)
	private Float cdefine16;
	/**gspcheck*/
	@Excel(name = "gspcheck", width = 15)
	private String gspcheck;
	/**isalebillid*/
	@Excel(name = "isalebillid", width = 15)
	private String isalebillid;
	/**ufts*/
	private Date ufts;
	/**iexchrate*/
	@Excel(name = "iexchrate", width = 15)
	private Float iexchrate;
	/**cexchName*/
	@Excel(name = "cexchName", width = 15)
	private String cexchName;
	/**cshipaddress*/
	@Excel(name = "cshipaddress", width = 15)
	private String cshipaddress;
	/**caddcode*/
	@Excel(name = "caddcode", width = 15)
	private String caddcode;
	/**bomfirst*/
	@Excel(name = "bomfirst", width = 15)
	private Object bomfirst;
	/**bfrompreyear*/
	@Excel(name = "bfrompreyear", width = 15)
	private Object bfrompreyear;
	/**bislsquery*/
	@Excel(name = "bislsquery", width = 15)
	private Object bislsquery;
	/**biscomplement*/
	@Excel(name = "biscomplement", width = 15)
	private Integer biscomplement;
	/**idiscounttaxtype*/
	@Excel(name = "idiscounttaxtype", width = 15)
	private Integer idiscounttaxtype;
	/**ireturncount*/
	@Excel(name = "ireturncount", width = 15)
	private Integer ireturncount;
	/**iverifystate*/
	@Excel(name = "iverifystate", width = 15)
	private Integer iverifystate;
	/**iswfcontrolled*/
	@Excel(name = "iswfcontrolled", width = 15)
	private Integer iswfcontrolled;
	/**cmodifyperson*/
	@Excel(name = "cmodifyperson", width = 15)
	private String cmodifyperson;
	/**dmodifydate*/
	@Excel(name = "dmodifydate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dmodifydate;
	/**dnmaketime*/
	@Excel(name = "dnmaketime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dnmaketime;
	/**dnmodifytime*/
	@Excel(name = "dnmodifytime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dnmodifytime;
	/**dnverifytime*/
	@Excel(name = "dnverifytime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dnverifytime;
	/**bredvouch*/
	@Excel(name = "bredvouch", width = 15)
	private Integer bredvouch;
	/**iflowid*/
	@Excel(name = "iflowid", width = 15)
	private Integer iflowid;
	/**cpzid*/
	@Excel(name = "cpzid", width = 15)
	private String cpzid;
	/**csourcels*/
	@Excel(name = "csourcels", width = 15)
	private String csourcels;
	/**csourcecodels*/
	@Excel(name = "csourcecodels", width = 15)
	private String csourcecodels;
	/**iprintcount*/
	@Excel(name = "iprintcount", width = 15)
	private Integer iprintcount;
	/**csysbarcode*/
	@Excel(name = "csysbarcode", width = 15)
	private String csysbarcode;
	/**ccurrentauditor*/
	@Excel(name = "ccurrentauditor", width = 15)
	private String ccurrentauditor;
	/**cinvoicecompany*/
	@Excel(name = "cinvoicecompany", width = 15)
	private String cinvoicecompany;
	/**febweight*/
	@Excel(name = "febweight", width = 15)
	private java.math.BigDecimal febweight;
	/**cebweightunit*/
	@Excel(name = "cebweightunit", width = 15)
	private String cebweightunit;
	/**cebexpresscode*/
	@Excel(name = "cebexpresscode", width = 15)
	private String cebexpresscode;
	/**bscanexpress*/
	@Excel(name = "bscanexpress", width = 15)
	private Integer bscanexpress;
	/**cinspector*/
	@Excel(name = "cinspector", width = 15)
	private String cinspector;
	/**dinspecttime*/
	@Excel(name = "dinspecttime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dinspecttime;
	/**cweighter*/
	@Excel(name = "cweighter", width = 15)
	private String cweighter;
	/**dweighttime*/
	@Excel(name = "dweighttime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dweighttime;
	/**buploaded*/
	@Excel(name = "buploaded", width = 15)
	private Integer buploaded;
	/**outid*/
	@Excel(name = "outid", width = 15)
	private Object outid;
	/**ismddispatch*/
	@Excel(name = "ismddispatch", width = 15)
	private Integer ismddispatch;
	/**cchecksignflag*/
	@Excel(name = "cchecksignflag", width = 15)
	private String cchecksignflag;
	/**cgcroutecode*/
	@Excel(name = "cgcroutecode", width = 15)
	private String cgcroutecode;
}
