package org.jeecg.modules.finance.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.finance.entity.FdBalancePaymentSettlement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * @Description: 尾款结算
 * @author： tanj
 * @date：   2019-07-20
 * @version： V1.0
 */
public interface FdBalancePaymentSettlementMapper extends BaseMapper<FdBalancePaymentSettlement> {

    IPage<FdBalancePaymentSettlement> findByPage(IPage<FdBalancePaymentSettlement> page, @Param("ew") QueryWrapper<FdBalancePaymentSettlement> queryWrapper);

    Integer auditBatch(@Param("list") List<String> list);

    Integer reviewBatch(@Param("list") List<String> list);
}
