package org.jeecg.modules.financeManage.mapper;

import java.util.List;
import org.jeecg.modules.financeManage.entity.FdHandoverfeeB;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 财务过手费子表
 * @author： jeecg-boot
 * @date：   2019-07-13
 * @version： V1.0
 */
public interface FdHandoverfeeBMapper extends BaseMapper<FdHandoverfeeB> {

	/**
	 *
	 * @param mainId
	 * @return
	 */
	public boolean deleteByMainId(String mainId);

	/**
	 * 物理删除
	 * @param mainId
	 * @return
	 */
	public boolean deleteById(String mainId);

	public List<FdHandoverfeeB> selectByMainId(String mainId);
}
