package org.jeecg.modules.financeManage.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.financeManage.entity.FdIncomeItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplateItem;

/**
 * @Description: 收入确认明细
 * @author： jeecg-boot
 * @date：   2019-12-02
 * @version： V1.0
 */
public interface FdIncomeItemMapper extends BaseMapper<FdIncomeItem> {
    
    /***
     * @Title:根据主表id逻辑删除子表
            * @Description:TODO
            * @param [incomeId]
            * @return int
            * @exception 
            * @author 陈创
            * @date 2019/12/4 13:24
            * @updatehistory:
     *   2019/12/4 13:24 新增
            */
    int updateDelFlagByIncomeId(@Param("incomeId")String incomeId);

    /**
    * @Author chenchuang
    * @Description //TODO 导出所有明细，条件为主表为结算项目
    * @Date 2020/8/7 11:34
    * @Param []
    * @return java.util.List<org.jeecg.modules.financeManage.entity.FdIncomeItem>
    */
    List<FdIncomeItem> exportAllItemBySettlementStatus();
}
