package org.jeecg.modules.financeManage.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.financeManage.entity.FdProjectReceivables;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 项目应收款主表
 * @author： jeecg-boot
 * @date：   2019-07-22
 * @version： V1.0
 */
public interface FdProjectReceivablesMapper extends BaseMapper<FdProjectReceivables> {
    /**
     * 查询是否有重复过手费号码
     * @param code
     * @return
     */
    public int fingMoreCode(@Param("code")String code,@Param("id")String id);

    /**
     * 审核
     * @param state
     * @param id
     * @return
     */
    int toExamine(@Param("state") String state, @Param("id") String id);

    /**
     * 通过主表主键更新表头合同金额
     * @param id
     * @return
     */
    int updateHeadNum(@Param("id") String id);

    List<FdProjectReceivables> getListAndCreditPeriod();
}
