package org.jeecg.modules.financeManage.service;

import org.jeecg.modules.financeManage.entity.FdSampleStorageRevenueRecognition;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 样本储存收入确认
 * @author： jeecg-boot
 * @date：   2020-08-10
 * @version： V1.0
 */
public interface IFdSampleStorageRevenueRecognitionService extends IService<FdSampleStorageRevenueRecognition> {

    /**
    * @Author chenchuang
    * @Description //TODO 自定义保存
    * @Date 2020/8/11 17:28
    * @Param [fdSampleStorageRevenueRecognition]
    * @return void
    */
    void addCustom(FdSampleStorageRevenueRecognition fdSampleStorageRevenueRecognition);


    /**
    * @Author chenchuang
    * @Description //TODO 样本储存保存触发收入保存
    * @Date 2020/8/11 17:43
    * @Param [fdSampleStorageRevenueRecognition]
    * @return void
    */
    void sampleStorageTriggerAdd(FdSampleStorageRevenueRecognition fdSampleStorageRevenueRecognition);

    /**
    * @Author chenchuang
    * @Description //TODO 样本储存保存触发收入修改
    * @Date 2020/8/17 16:41
    * @Param [fdSampleStorageRevenueRecognition]
    * @return void
    */
    void sampleStorageTriggerUpdate(FdSampleStorageRevenueRecognition fdSampleStorageRevenueRecognition);
    /**
    * @Author chenchuang
    * @Description //TODO 根据项目id查询项目相关数据
    * @Date 2020/8/13 16:14
    * @Param [projectId]
    * @return org.jeecg.modules.financeManage.entity.FdSampleStorageRevenueRecognition
    */
    FdSampleStorageRevenueRecognition getFdSampleStorageRevenueRecognitionByProjectId(String projectId);

    /**
    * @Author chenchuang
    * @Description //TODO 修改
    * @Date 2020/8/13 16:14
    * @Param [fdSampleStorageRevenueRecognition]
    * @return void
    */
    void updateCustom(FdSampleStorageRevenueRecognition fdSampleStorageRevenueRecognition);

    /**
    * @Author chenchuang
    * @Description //TODO 月度更新
    * @Date 2020/8/19 9:15
    * @Param []
    * @return void
    */
    void monthlyUpdate();


}
