package org.jeecg.modules.financeManage.service.impl;

import org.jeecg.modules.financeManage.entity.FdHandoverfeeB;
import org.jeecg.modules.financeManage.mapper.FdHandoverfeeBMapper;
import org.jeecg.modules.financeManage.service.IFdHandoverfeeBService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;

/**
 * @Description: 财务过手费子表
 * @author： jeecg-boot
 * @date：   2019-07-13
 * @version： V1.0
 */
@Service
public class FdHandoverfeeBServiceImpl extends ServiceImpl<FdHandoverfeeBMapper, FdHandoverfeeB> implements IFdHandoverfeeBService {

	@Resource
	private FdHandoverfeeBMapper fdHandoverfeeBMapper;
	
	@Override
	public List<FdHandoverfeeB> selectByMainId(String mainId) {
		return fdHandoverfeeBMapper.selectByMainId(mainId);
	}
}
