package org.jeecg.modules.financeManage.service.impl;

import org.jeecg.modules.financeManage.entity.FdIncomeItem;
import org.jeecg.modules.financeManage.mapper.FdIncomeItemMapper;
import org.jeecg.modules.financeManage.service.IFdIncomeItemService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 收入确认明细
 * @author： jeecg-boot
 * @date：   2019-12-02
 * @version： V1.0
 */
@Service
public class FdIncomeItemServiceImpl extends ServiceImpl<FdIncomeItemMapper, FdIncomeItem> implements IFdIncomeItemService {

    @Resource
    FdIncomeItemMapper fdIncomeItemMapper;

    @Override
    public List<FdIncomeItem> exportAllItemBySettlementStatus() {
        return fdIncomeItemMapper.exportAllItemBySettlementStatus();
    }
}
