package org.jeecg.modules.financeManage.service.impl;

import org.jeecg.modules.financeManage.entity.FdProjectReceivablesB;
import org.jeecg.modules.financeManage.mapper.FdProjectReceivablesBMapper;
import org.jeecg.modules.financeManage.service.IFdProjectReceivablesBService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 项目应收款子表
 * @author： jeecg-boot
 * @date：   2019-07-22
 * @version： V1.0
 */
@Service
public class FdProjectReceivablesBServiceImpl extends ServiceImpl<FdProjectReceivablesBMapper, FdProjectReceivablesB> implements IFdProjectReceivablesBService {
	
	@Autowired
	private FdProjectReceivablesBMapper fdProjectReceivablesBMapper;
	
	@Override
	public List<FdProjectReceivablesB> selectByMainId(String mainId) {
		return fdProjectReceivablesBMapper.selectByMainId(mainId);
	}
}
