package org.jeecg.modules.projectManagement.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 项目报价模板新增明细
 * @author： jeecg-boot
 * @date：   2019-05-20
 * @version： V1.0
 */
@Data
@TableName("fd_project_quotation_template_item_append")
public class FdProjectQuotationTemplateItemAppend implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**项目报价单id*/
	@Excel(name = "项目报价单id", width = 15)
	private java.lang.String quotationId;
	/**项目报价单模板对照id*/
	@Excel(name = "项目报价单模板对照id", width = 15)
	private java.lang.String projectQuotationTemplateId;
	/**项目模板名*/
	@Excel(name = "项目模板名", width = 15)
	private java.lang.String text;
	/**父级项目id*/
	@Excel(name = "父级项目id", width = 15)
	private java.lang.String parentId;
	/**费用1*/
	@Excel(name = "费用1", width = 15)
	private java.lang.String feeCategory1;
	/**费用2*/
	@Excel(name = "费用2", width = 15)
	private java.lang.String feeCategory2;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private java.lang.String memo;
	/**删除标记0正常1删除*/
	@Excel(name = "删除标记0正常1删除", width = 15)
	private java.lang.String delFlag;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;

	/**利润中心--合同处添加*/
	@Excel(name = "利润中心--合同处添加", width = 15)
	private java.lang.String profitCenter;

	/**负责人--合同处添加*/
	@Excel(name = "负责人--合同处添加", width = 15)
	private java.lang.String master;

}
