package org.jeecg.modules.projectManagement.mapper;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdBioanalysisSampleMilestonesCompletedNumber;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: 生物分析样本里程碑当前完成数量
 * @author： jeecg-boot
 * @date：   2019-06-04
 * @version： V1.0
 */
public interface FdBioanalysisSampleMilestonesCompletedNumberMapper extends BaseMapper<FdBioanalysisSampleMilestonesCompletedNumber> {

    List<FdBioanalysisSampleMilestonesCompletedNumber> getMonthlyDiscrepancyReport(@Param("startDate")String startDate, @Param("endDate")String endDate);

    int updateCompletedNumberBatch(@Param("completedNumberList")List<FdBioanalysisSampleMilestonesCompletedNumber> completedNumberList);
}
