package org.jeecg.modules.projectManagement.mapper;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdBioanalysisSampleMilestonesItems;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: 生物分析样本里程碑明细
 * @author： jeecg-boot
 * @date：   2019-06-04
 * @version： V1.0
 */
public interface FdBioanalysisSampleMilestonesItemsMapper extends BaseMapper<FdBioanalysisSampleMilestonesItems> {
    void parentIdBatch(@Param("templateItemList")List<FdBioanalysisSampleMilestonesItems> templateItemList);

    void tempItemsBatch(@Param("templateItemList")List<FdBioanalysisSampleMilestonesItems> templateItemList);

    /**
     * 获取已填完成时间的里程碑模板明细
     * @return
     */
    List<FdBioanalysisSampleMilestonesItems> getMilestonesItemsOvertime();

    /**
     * 获取需要录入到收入确认的里程碑明细
     * @return
     */
    List<FdBioanalysisSampleMilestonesItems> getMilestonesItemsIsisInputIncome();
}
