package org.jeecg.modules.projectManagement.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdBioanalysisSampleMilestones;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.projectManagement.entity.FdContract;


/**
 * @Description: 生物分析样本里程碑
 * @author： jeecg-boot
 * @date：   2019-06-04
 * @version： V1.0
 */
public interface FdBioanalysisSampleMilestonesMapper extends BaseMapper<FdBioanalysisSampleMilestones> {

    IPage<FdBioanalysisSampleMilestones> findByPage(Page<FdBioanalysisSampleMilestones> page,@Param("ew") QueryWrapper<FdBioanalysisSampleMilestones> queryWrapper);

    FdBioanalysisSampleMilestones queryBioanalysisByConId(String projectFileId);

    int auditBatch(@org.apache.ibatis.annotations.Param("list") List<String> list);

    int reviewBatch(@org.apache.ibatis.annotations.Param("list") List<String> list);

    List<FdContract> getFileContractList();

    List<FdBioanalysisSampleMilestones> getMainExport();

}
