package org.jeecg.modules.projectManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdBioanalysisSampleMilestones;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.projectManagement.entity.FdContract;

import java.util.List;
import java.util.Map;

/**
 * @Description: 生物分析样本里程碑
 * @author： jeecg-boot
 * @date：   2019-06-04
 * @version： V1.0
 */
public interface IFdBioanalysisSampleMilestonesService extends IService<FdBioanalysisSampleMilestones> {


    IPage<FdBioanalysisSampleMilestones> findByPage(Page<FdBioanalysisSampleMilestones> page, QueryWrapper<FdBioanalysisSampleMilestones> queryWrapper);

    void addAll(FdBioanalysisSampleMilestones fdBioanalysisSampleMilestones);

    FdBioanalysisSampleMilestones queryBioanalysisByConId(String projectFileId);

    boolean deleteAll(String id);

    void copy(String id);

    Map<String, Object> auditBatch(@Param("list") List<String> list);

    Map<String, Object> reviewBatch(@Param("list") List<String> list);

    boolean viewUpdateMilestonesItems(FdBioanalysisSampleMilestones fdBioanalysisSampleMilestones);

    List<FdContract> getFileContractList();

    boolean editAll(FdBioanalysisSampleMilestones fdBioanalysisSampleMilestones);

    List<FdBioanalysisSampleMilestones> progressReport(String startDate,String endDate);

    List<FdBioanalysisSampleMilestones> getMainExport();
}
