package org.jeecg.modules.projectManagement.service;

import org.jeecg.modules.projectManagement.entity.FdBioanalysisTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 生物分析里程碑模板
 * @author： jeecg-boot
 * @date：   2019-08-05
 * @version： V1.0
 */
public interface IFdBioanalysisTemplateService extends IService<FdBioanalysisTemplate> {
    List<FdBioanalysisTemplate> getTempletas(String id);

    List<FdBioanalysisTemplate> getTempletaTree(List<FdBioanalysisTemplate> fdBioanalysisTemplateList);

    int updateTemplateBatch(List<FdBioanalysisTemplate> templateList);
}
