package org.jeecg.modules.projectManagement.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.projectManagement.entity.FdContractBidparty;
import org.jeecg.modules.projectManagement.mapper.FdContractBidpartyMapper;
import org.jeecg.modules.projectManagement.service.IFdContractBidpartyService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Description: 合同申办方表
 * @author： jeecg-boot
 * @date：   2019-05-22
 * @version： V1.0
 */
@Service
@Transactional
public class FdContractBidpartyServiceImpl extends ServiceImpl<FdContractBidpartyMapper, FdContractBidparty> implements IFdContractBidpartyService {

    @Resource
    IFdContractBidpartyService fdContractBidpartyService;

    @Override
    public IPage<FdContractBidparty> findByPage(Page<FdContractBidparty> page, QueryWrapper<FdContractBidparty> queryWrapper) {
        return fdContractBidpartyService.findByPage(page,queryWrapper);
    }
}
