package org.jeecg.modules.projectManagement.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.projectManagement.entity.FdContractDetail;
import org.jeecg.modules.projectManagement.mapper.FdContractDetailMapper;
import org.jeecg.modules.projectManagement.service.IFdContractDetailService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Description: 合同明细表
 * @author： jeecg-boot
 * @date：   2019-05-22
 * @version： V1.0
 */
@Service
@Transactional
public class FdContractDetailServiceImpl extends ServiceImpl<FdContractDetailMapper, FdContractDetail> implements IFdContractDetailService {

    @Resource
    IFdContractDetailService fdContractDetailService;

    @Override
    public IPage<FdContractDetail> findByPage(Page<FdContractDetail> page, QueryWrapper<FdContractDetail> queryWrapper) {
        return fdContractDetailService.findByPage(page,queryWrapper);
    }
}
