package org.jeecg.modules.projectManagement.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.projectManagement.entity.FdContractProportion;
import org.jeecg.modules.basedata.entity.FdQuotationTemplate;
import org.jeecg.modules.projectManagement.mapper.FdContractProportionMapper;
import org.jeecg.modules.projectManagement.service.IFdContractProportionService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 合同比例表
 * @author： jeecg-boot
 * @date： 2019-05-27
 * @version： V1.0
 */
@Service
@Transactional
public class FdContractProportionServiceImpl extends ServiceImpl<FdContractProportionMapper, FdContractProportion> implements IFdContractProportionService {

    @Resource
    FdContractProportionMapper fdContractProportionMapper;


    /**
     * @return com.baomidou.mybatisplus.core.metadata.IPage<org.jeecg.modules.projectManagement.entity.FdContract>
     * @Author gurui 查询
     * @Description //TODO  查询项目报价模板对照明细中的费用1和费用2
     * @Date 18:41 2019/5/23
     * @Param [queryWrapper]
     **/
    @Override
    public List<FdContractProportion> calculation(QueryWrapper<FdQuotationTemplate> queryWrapper) {
        return fdContractProportionMapper.calculation(queryWrapper);
    }
}
