package org.jeecg.modules.projectManagement.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.projectManagement.entity.FdProjectFileHospital;
import org.jeecg.modules.projectManagement.mapper.FdProjectFileHospitalMapper;
import org.jeecg.modules.projectManagement.service.IFdProjectFileHospitalService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * @Description: 医院档案表
 * @author： jeecg-boot
 * @date：   2019-05-29
 * @version： V1.0
 */
@Service
public class FdProjectFileHospitalServiceImpl extends ServiceImpl<FdProjectFileHospitalMapper, FdProjectFileHospital> implements IFdProjectFileHospitalService {

    @Resource
    FdProjectFileHospitalMapper fdProjectFileHospitalMapper;

    @Override
    public IPage<FdProjectFileHospital> findByPage(Page<FdProjectFileHospital> page, QueryWrapper<FdProjectFileHospital> queryWrapper) {
        return fdProjectFileHospitalMapper.findByPage(page,queryWrapper);
    }
}
