package org.jeecg.modules.projectManagement.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationDetail;
import org.jeecg.modules.projectManagement.mapper.FdProjectQuotationDetailMapper;
import org.jeecg.modules.projectManagement.service.IFdProjectQuotationDetailService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Description: 项目报价明细
 * @author： jeecg-boot
 * @date：   2019-05-20
 * @version： V1.0
 */
@Service
@Transactional
public class FdProjectQuotationDetailServiceImpl extends ServiceImpl<FdProjectQuotationDetailMapper, FdProjectQuotationDetail> implements IFdProjectQuotationDetailService {

    @Resource
    IFdProjectQuotationDetailService fdProjectQuotationDetailService;

    @Override
    public IPage<FdProjectQuotationDetail> findByPage(Page<FdProjectQuotationDetail> page, QueryWrapper<FdProjectQuotationDetail> queryWrapper) {
        return fdProjectQuotationDetailService.findByPage(page,queryWrapper);
    }
}
