package org.jeecg.modules.qualityControl.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.qualityControl.entity.FdQaBiologicalAnalysisVerification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 质量保证（生物分析验证）
 * @author： jeecg-boot
 * @date：   2019-06-11
 * @version： V1.0
 */
public interface FdQaBiologicalAnalysisVerificationMapper extends BaseMapper<FdQaBiologicalAnalysisVerification> {

    FdQaBiologicalAnalysisVerification queryQaBiologicalByConId(String contractId);

    String getByDict(String id);

    String getApproveByDict(String id);

    String getQAReviewByDict(String id);

    String getQCReviewByDict(String id);

    IPage<FdQaBiologicalAnalysisVerification> findByPage(Page<FdQaBiologicalAnalysisVerification> page, @Param("ew") QueryWrapper<FdQaBiologicalAnalysisVerification> queryWrapper);

    FdQaBiologicalAnalysisVerification getByVerifiCodeAndType(@Param("fdQaBiologicalAnalysisVerification")FdQaBiologicalAnalysisVerification fdQaBiologicalAnalysisVerification);
}
