package org.jeecg.modules.qualityControl.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.qualityControl.entity.FdQaProcessFacility;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 质量保证（工艺与设备）
 * @author： jeecg-boot
 * @date：   2019-06-06
 * @version： V1.0
 */
public interface FdQaProcessFacilityMapper extends BaseMapper<FdQaProcessFacility> {

    IPage<FdQaProcessFacility> findByPage(Page<FdQaProcessFacility> page,@Param("ew") QueryWrapper<FdQaProcessFacility> queryWrapper);


    FdQaProcessFacility queryQaProcessFacilityByConId(String contractId);
}
