package org.jeecg.modules.qualityControl.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.qualityControl.entity.FdQcBiometricSampleAnalysis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 质量保证（生物样本分析）
 * @author： jeecg-boot
 * @date：   2019-06-12
 * @version： V1.0
 */
public interface FdQcBiometricSampleAnalysisMapper extends BaseMapper<FdQcBiometricSampleAnalysis> {

    FdQcBiometricSampleAnalysis queryQcBiometricByConId(String pkProjectFile);

    IPage<FdQcBiometricSampleAnalysis> findByPage(Page<FdQcBiometricSampleAnalysis> page, @Param("ew") QueryWrapper<FdQcBiometricSampleAnalysis> queryWrapper);

    FdQcBiometricSampleAnalysis getBySampleCodeAndType(@Param("fdQcBiometricSampleAnalysis")FdQcBiometricSampleAnalysis fdQcBiometricSampleAnalysis);
}
