package org.jeecg.modules.qualityControl.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.qualityControl.entity.FdQaProcessFacility;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.qualityControl.entity.FdQaProcessFacilityItems;

import java.util.List;

/**
 * @Description: 质量保证（工艺与设备）
 * @author： jeecg-boot
 * @date：   2019-06-06
 * @version： V1.0
 */
public interface IFdQaProcessFacilityService extends IService<FdQaProcessFacility> {

    IPage<FdQaProcessFacility> findByPage(Page<FdQaProcessFacility> page, QueryWrapper<FdQaProcessFacility> queryWrapper);

    void addAll(FdQaProcessFacility fdQaProcessFacility);

    FdQaProcessFacility queryQaProcessFacilityByConId(String contractId);

    boolean deleteAll(String id);

    /**
     * @Author chenchuang
     * @Description //TODO 根据明细对象查询对应的图片对象集合
     * @Date 2020/6/19 9:28
     * @Param [itemsList]
     * @return void
     */
    void getPictureUpload(List<FdQaProcessFacilityItems> itemsList);
}
