package org.jeecg.modules.qualityControl.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.qualityControl.entity.FdQcBiometricSampleAnalysis;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.qualityControl.entity.FdQcBiometricSampleAnalysisItems;

import java.util.List;

/**
 * @Description: 质量控制（生物样本分析）
 * @author： jeecg-boot
 * @date：   2019-06-12
 * @version： V1.0
 */
public interface IFdQcBiometricSampleAnalysisService extends IService<FdQcBiometricSampleAnalysis> {

    void addAll(FdQcBiometricSampleAnalysis fdQcBiometricSampleAnalysis);

    FdQcBiometricSampleAnalysis queryQcBiometricByConId(String pkProjectFile);

    boolean deleteAll(String id);

    IPage<FdQcBiometricSampleAnalysis> findByPage(Page<FdQcBiometricSampleAnalysis> page,QueryWrapper<FdQcBiometricSampleAnalysis> queryWrapper);

    FdQcBiometricSampleAnalysis getBySampleCodeAndType(FdQcBiometricSampleAnalysis fdQcBiometricSampleAnalysis);

    /**
     * @Author chenchuang
     * @Description //TODO 根据明细对象查询对应的图片对象集合
     * @Date 2020/6/19 9:28
     * @Param [itemsList]
     * @return void
     */
    void getPictureUpload(List<FdQcBiometricSampleAnalysisItems> itemsList);
}
