package org.jeecg.modules.sampleAndConsumableManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdReagentManagement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: 试剂管理
 * @author： jeecg-boot
 * @date： 2019-06-12
 * @version： V1.0
 */
public interface FdReagentManagementMapper extends BaseMapper<FdReagentManagement> {

    FdReagentManagement queryReagentByConId(String contractId);

    IPage<FdReagentManagement> findByPage(Page<FdReagentManagement> page,@Param("ew") QueryWrapper<FdReagentManagement> queryWrapper);

    List<FdContract> getFileContractList();
}
