package org.jeecg.modules.sampleAndConsumableManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdSampleStorage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 样本存储
 * @author： jeecg-boot
 * @date：   2019-06-06
 * @version： V1.0
 */
public interface FdSampleStorageMapper extends BaseMapper<FdSampleStorage> {

    IPage<FdSampleStorage> findByPage(Page<FdSampleStorage> page,@Param("ew") QueryWrapper<FdSampleStorage> queryWrapper);

    FdSampleStorage getSampleStorageByConId(String projectFileId);
}
