package org.jeecg.modules.sampleAndConsumableManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdSampleStorage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 样本存储
 * @author： jeecg-boot
 * @date：   2019-06-06
 * @version： V1.0
 */
public interface IFdSampleStorageService extends IService<FdSampleStorage> {

    IPage<FdSampleStorage> findByPage(Page<FdSampleStorage> page, QueryWrapper<FdSampleStorage> queryWrapper);

    void addAll(FdSampleStorage fdSampleStorage);

    FdSampleStorage getSampleStorageByConId(String projectFileId);

    /**
    * @Author chenchuang
    * @Description //TODO 新增并产生收入确认数据
    * @Date 2020/8/17 17:03
    * @Param [fdSampleStorage]
    * @return void
    */
    void addCustom(FdSampleStorage fdSampleStorage);

    /**
    * @Author chenchuang
    * @Description //TODO 修改并产生收入确认的数据 或者修改样本收入确认的数据
    * @Date 2020/8/17 17:04
    * @Param [fdSampleStorage]
    * @return void
    */
    void updateCustom(FdSampleStorage fdSampleStorage);
}
