package org.jeecg.modules.basedata.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdHospitalContacts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 医院联系人表
 * @author： jeecg-boot
 * @date：   2019-05-08
 * @version： V1.0
 */
public interface FdHospitalContactsMapper extends BaseMapper<FdHospitalContacts> {

    IPage<FdHospitalContacts> findByPage(Page<FdHospitalContacts> page, @Param("ew") QueryWrapper<FdHospitalContacts> queryWrapper);
    public List<FdHospitalContacts> getByHospitalId(@Param("pkHospitalId") String pkHospitalId);
}
