package org.jeecg.modules.basedata.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdHospital;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 医院档案表
 * @author： jeecg-boot
 * @date：   2019-05-05
 * @version： V1.0
 */
public interface FdHospitalMapper extends BaseMapper<FdHospital> {

        public IPage<FdHospital> findByPage(Page<FdHospital> page, @Param("ew") QueryWrapper<FdHospital> queryWrapper);

}
