package org.jeecg.modules.basedata.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdQuotationTemplateItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 报价单模板项目
 * @author： jeecg-boot
 * @date：   2019-05-16
 * @version： V1.0
 */
public interface FdQuotationTemplateItemMapper extends BaseMapper<FdQuotationTemplateItem> {
    IPage<FdQuotationTemplateItem> findByPage(Page<FdQuotationTemplateItem> page, @Param("ew")QueryWrapper<FdQuotationTemplateItem> queryWrapper);
    List<FdQuotationTemplateItem> findOrderByCode(String pkQuotationTemplate);
}
