package org.jeecg.modules.basedata.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdQuotationTemplate;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.basedata.entity.FdQuotationTemplateItem;

import java.util.List;

/**
 * @Description: 报价单模板
 * @author： jeecg-boot
 * @date：   2019-05-16
 * @version： V1.0
 */
public interface IFdQuotationTemplateService extends IService<FdQuotationTemplate> {
    IPage<FdQuotationTemplate> findByPage(Page<FdQuotationTemplate> page, QueryWrapper queryWrapper);

    List<FdQuotationTemplate> getbyIdBatch(List<String> ids);

    List<FdQuotationTemplateItem> copy(String id);


    boolean deleteAll(String id);
}
