package org.jeecg.modules.basedata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.basedata.entity.FdHospitalContacts;
import org.jeecg.modules.basedata.mapper.FdHospitalContactsMapper;
import org.jeecg.modules.basedata.service.IFdHospitalContactsService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 医院联系人表
 * @author： jeecg-boot
 * @date：   2019-05-08
 * @version： V1.0
 */
@Service
@Transactional
public class FdHospitalContactsServiceImpl extends ServiceImpl<FdHospitalContactsMapper, FdHospitalContacts> implements IFdHospitalContactsService {

    @Resource
    FdHospitalContactsMapper fdHospitalContactsMapper;

    @Override
    public IPage<FdHospitalContacts> findByPage(Page<FdHospitalContacts> page, QueryWrapper<FdHospitalContacts> queryWrapper) {
        return fdHospitalContactsMapper.findByPage(page,queryWrapper);
    }
    @Override
    public List<FdHospitalContacts> getByHospitalId(String pkHospitalId) {
        return fdHospitalContactsMapper.getByHospitalId(pkHospitalId);
    }
}
