package org.jeecg.modules.basedata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.basedata.entity.FdPassFeeClassProject;
import org.jeecg.modules.basedata.mapper.FdPassFeeClassProjectMapper;
import org.jeecg.modules.basedata.service.IFdPassFeeClassProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Description: 过手费项目档案
 * @author： jeecg-boot
 * @date：   2019-05-10
 * @version： V1.0
 */
@Service
@Transactional
public class FdPassFeeClassProjectServiceImpl extends ServiceImpl<FdPassFeeClassProjectMapper, FdPassFeeClassProject> implements IFdPassFeeClassProjectService {

    @Resource
    FdPassFeeClassProjectMapper fdPassFeeClassProjectMapper;

    /*
     *
     *分页查询
     * @author 陈创
     * @date   2019-5-13
     * @param  分页条件，查询字段条件
     * @return 页码数据和档案数据
     */
    @Override
    public IPage<FdPassFeeClassProject> getListByPage(IPage<FdPassFeeClassProject> page, QueryWrapper<FdPassFeeClassProject> queryWrapper) throws Exception {
        return fdPassFeeClassProjectMapper.getListByPage(page,queryWrapper);
    }
}
