package org.jeecg.modules.basedata.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.basedata.entity.FdStoragePlace;
import org.jeecg.modules.basedata.mapper.FdStoragePlaceMapper;
import org.jeecg.modules.basedata.service.IFdStoragePlaceService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Description: 存储位置表
 * @author： jeecg-boot
 * @date：   2019-05-07
 * @version： V1.0
 */
@Service
@Transactional
public class FdStoragePlaceServiceImpl extends ServiceImpl<FdStoragePlaceMapper, FdStoragePlace> implements IFdStoragePlaceService {

    @Resource
    FdStoragePlaceMapper fdStoragePlaceMapper;

    @Override
    public IPage<FdStoragePlace> findByPage(Page<FdStoragePlace> page, QueryWrapper<FdStoragePlace> queryWrapper) {
        return fdStoragePlaceMapper.findByPage(page,queryWrapper);
    }
}
