package org.jeecg.modules.fbsDispatchList.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsDispatchList.entity.FbsDispatchList;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 销售发货退货单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
public interface FbsDispatchListMapper extends BaseMapper<FbsDispatchList> {

    /**
     * 发货通知
     * @return
     */
    List<Map<String,Object>> getWatingSendList();

    /**
     * 已入库数量
     * @return
     */
    int getSendSum();

}
