package org.jeecg.modules.fbsDispatchList.service;

import org.jeecg.modules.fbsDispatchList.entity.FbsDispatchList;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 销售发货退货单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
public interface IFbsDispatchListService extends IService<FbsDispatchList> {
    /**
     * 发货通知
     * @return
     */
    public List<Map<String,Object>> getWatingSendList();

    /**
     * 已入库数量
     * @return
     */
    public int getSendSum();

}
