package org.jeecg.modules.fbsDispatchList.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.jeecg.modules.fbsDispatchList.entity.FbsDispatchList;
import org.jeecg.modules.fbsDispatchList.mapper.FbsDispatchListMapper;
import org.jeecg.modules.fbsDispatchList.service.IFbsDispatchListService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description: 销售发货退货单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
@Service
@DS("multi-datasource1")
public class FbsDispatchListServiceImpl extends ServiceImpl<FbsDispatchListMapper, FbsDispatchList> implements IFbsDispatchListService {
    @Resource
    private FbsDispatchListMapper fbsDispatchListMapper;

    public List<Map<String,Object>> getWatingSendList(){
        return fbsDispatchListMapper.getWatingSendList();
    }

    public int getSendSum(){
        return fbsDispatchListMapper.getSendSum();
    }
}
