package org.jeecg.modules.fbsDispatchLists.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 销售发货退货单主表（表题）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
@Data
@TableName("DispatchLists")
public class FbsDispatchLists implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**autoid*/
	@Excel(name = "autoid", width = 15)
	private Integer autoid;
	/**dlid*/
	@Excel(name = "dlid", width = 15)
	private Integer dlid;
	/**icorid*/
	@Excel(name = "icorid", width = 15)
	private Integer icorid;
	/**cwhcode*/
	@Excel(name = "cwhcode", width = 15)
	private String cwhcode;
	/**cinvcode*/
	@Excel(name = "cinvcode", width = 15)
	private String cinvcode;
	/**iquantity*/
	@Excel(name = "iquantity", width = 15)
	private java.math.BigDecimal iquantity;
	/**inum*/
	@Excel(name = "inum", width = 15)
	private java.math.BigDecimal inum;
	/**iquotedprice*/
	@Excel(name = "iquotedprice", width = 15)
	private java.math.BigDecimal iquotedprice;
	/**iunitprice*/
	@Excel(name = "iunitprice", width = 15)
	private java.math.BigDecimal iunitprice;
	/**itaxunitprice*/
	@Excel(name = "itaxunitprice", width = 15)
	private java.math.BigDecimal itaxunitprice;
	/**imoney*/
	@Excel(name = "imoney", width = 15)
	private Object imoney;
	/**itax*/
	@Excel(name = "itax", width = 15)
	private Object itax;
	/**isum*/
	@Excel(name = "isum", width = 15)
	private Object isum;
	/**idiscount*/
	@Excel(name = "idiscount", width = 15)
	private Object idiscount;
	/**inatunitprice*/
	@Excel(name = "inatunitprice", width = 15)
	private java.math.BigDecimal inatunitprice;
	/**inatmoney*/
	@Excel(name = "inatmoney", width = 15)
	private Object inatmoney;
	/**inattax*/
	@Excel(name = "inattax", width = 15)
	private Object inattax;
	/**inatsum*/
	@Excel(name = "inatsum", width = 15)
	private Object inatsum;
	/**inatdiscount*/
	@Excel(name = "inatdiscount", width = 15)
	private Object inatdiscount;
	/**isettlenum*/
	@Excel(name = "isettlenum", width = 15)
	private java.math.BigDecimal isettlenum;
	/**isettlequantity*/
	@Excel(name = "isettlequantity", width = 15)
	private java.math.BigDecimal isettlequantity;
	/**ibatch*/
	@Excel(name = "ibatch", width = 15)
	private Integer ibatch;
	/**cbatch*/
	@Excel(name = "cbatch", width = 15)
	private String cbatch;
	/**bsettleall*/
	@Excel(name = "bsettleall", width = 15)
	private Object bsettleall;
	/**cmemo*/
	@Excel(name = "cmemo", width = 15)
	private String cmemo;
	/**cfree1*/
	@Excel(name = "cfree1", width = 15)
	private String cfree1;
	/**cfree2*/
	@Excel(name = "cfree2", width = 15)
	private String cfree2;
	/**itb*/
	@Excel(name = "itb", width = 15)
	private Integer itb;
	/**dvdate*/
	@Excel(name = "dvdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dvdate;
	/**tbquantity*/
	@Excel(name = "tbquantity", width = 15)
	private java.math.BigDecimal tbquantity;
	/**tbnum*/
	@Excel(name = "tbnum", width = 15)
	private java.math.BigDecimal tbnum;
	/**isosid*/
	@Excel(name = "isosid", width = 15)
	private Integer isosid;
	/**idlsid*/
	@Excel(name = "idlsid", width = 15)
	private Integer idlsid;
	/**kl*/
	@Excel(name = "kl", width = 15)
	private java.math.BigDecimal kl;
	/**kl2*/
	@Excel(name = "kl2", width = 15)
	private java.math.BigDecimal kl2;
	/**cinvname*/
	@Excel(name = "cinvname", width = 15)
	private String cinvname;
	/**itaxrate*/
	@Excel(name = "itaxrate", width = 15)
	private java.math.BigDecimal itaxrate;
	/**cdefine22*/
	@Excel(name = "cdefine22", width = 15)
	private String cdefine22;
	/**cdefine23*/
	@Excel(name = "cdefine23", width = 15)
	private String cdefine23;
	/**cdefine24*/
	@Excel(name = "cdefine24", width = 15)
	private String cdefine24;
	/**cdefine25*/
	@Excel(name = "cdefine25", width = 15)
	private String cdefine25;
	/**cdefine26*/
	@Excel(name = "cdefine26", width = 15)
	private Float cdefine26;
	/**cdefine27*/
	@Excel(name = "cdefine27", width = 15)
	private Float cdefine27;
	/**foutquantity*/
	@Excel(name = "foutquantity", width = 15)
	private java.math.BigDecimal foutquantity;
	/**foutnum*/
	@Excel(name = "foutnum", width = 15)
	private java.math.BigDecimal foutnum;
	/**citemcode*/
	@Excel(name = "citemcode", width = 15)
	private String citemcode;
	/**citemClass*/
	@Excel(name = "citemClass", width = 15)
	private String citemClass;
	/**fsalecost*/
	@Excel(name = "fsalecost", width = 15)
	private java.math.BigDecimal fsalecost;
	/**fsaleprice*/
	@Excel(name = "fsaleprice", width = 15)
	private java.math.BigDecimal fsaleprice;
	/**cvenabbname*/
	@Excel(name = "cvenabbname", width = 15)
	private String cvenabbname;
	/**citemname*/
	@Excel(name = "citemname", width = 15)
	private String citemname;
	/**citemCname*/
	@Excel(name = "citemCname", width = 15)
	private String citemCname;
	/**cfree3*/
	@Excel(name = "cfree3", width = 15)
	private String cfree3;
	/**cfree4*/
	@Excel(name = "cfree4", width = 15)
	private String cfree4;
	/**cfree5*/
	@Excel(name = "cfree5", width = 15)
	private String cfree5;
	/**cfree6*/
	@Excel(name = "cfree6", width = 15)
	private String cfree6;
	/**cfree7*/
	@Excel(name = "cfree7", width = 15)
	private String cfree7;
	/**cfree8*/
	@Excel(name = "cfree8", width = 15)
	private String cfree8;
	/**cfree9*/
	@Excel(name = "cfree9", width = 15)
	private String cfree9;
	/**cfree10*/
	@Excel(name = "cfree10", width = 15)
	private String cfree10;
	/**bisstqc*/
	@Excel(name = "bisstqc", width = 15)
	private Object bisstqc;
	/**iinvexchrate*/
	@Excel(name = "iinvexchrate", width = 15)
	private java.math.BigDecimal iinvexchrate;
	/**cunitid*/
	@Excel(name = "cunitid", width = 15)
	private String cunitid;
	/**ccode*/
	@Excel(name = "ccode", width = 15)
	private String ccode;
	/**iretquantity*/
	@Excel(name = "iretquantity", width = 15)
	private java.math.BigDecimal iretquantity;
	/**fensettlequan*/
	@Excel(name = "fensettlequan", width = 15)
	private java.math.BigDecimal fensettlequan;
	/**fensettlesum*/
	@Excel(name = "fensettlesum", width = 15)
	private Object fensettlesum;
	/**isettleprice*/
	@Excel(name = "isettleprice", width = 15)
	private java.math.BigDecimal isettleprice;
	/**cdefine28*/
	@Excel(name = "cdefine28", width = 15)
	private String cdefine28;
	/**cdefine29*/
	@Excel(name = "cdefine29", width = 15)
	private String cdefine29;
	/**cdefine30*/
	@Excel(name = "cdefine30", width = 15)
	private String cdefine30;
	/**cdefine31*/
	@Excel(name = "cdefine31", width = 15)
	private String cdefine31;
	/**cdefine32*/
	@Excel(name = "cdefine32", width = 15)
	private String cdefine32;
	/**cdefine33*/
	@Excel(name = "cdefine33", width = 15)
	private String cdefine33;
	/**cdefine34*/
	@Excel(name = "cdefine34", width = 15)
	private Integer cdefine34;
	/**cdefine35*/
	@Excel(name = "cdefine35", width = 15)
	private Integer cdefine35;
	/**cdefine36*/
	@Excel(name = "cdefine36", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine36;
	/**cdefine37*/
	@Excel(name = "cdefine37", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine37;
	/**dmdate*/
	@Excel(name = "dmdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dmdate;
	/**bgsp*/
	@Excel(name = "bgsp", width = 15)
	private Object bgsp;
	/**cgspstate*/
	@Excel(name = "cgspstate", width = 15)
	private String cgspstate;
	/**csocode*/
	@Excel(name = "csocode", width = 15)
	private String csocode;
	/**ccorcode*/
	@Excel(name = "ccorcode", width = 15)
	private String ccorcode;
	/**ippartseqid*/
	@Excel(name = "ippartseqid", width = 15)
	private Integer ippartseqid;
	/**ippartid*/
	@Excel(name = "ippartid", width = 15)
	private Integer ippartid;
	/**ippartqty*/
	@Excel(name = "ippartqty", width = 15)
	private java.math.BigDecimal ippartqty;
	/**ccontractid*/
	@Excel(name = "ccontractid", width = 15)
	private String ccontractid;
	/**ccontracttagcode*/
	@Excel(name = "ccontracttagcode", width = 15)
	private String ccontracttagcode;
	/**ccontractrowguid*/
	@Excel(name = "ccontractrowguid", width = 15)
	private Object ccontractrowguid;
	/**imassdate*/
	@Excel(name = "imassdate", width = 15)
	private Integer imassdate;
	/**cmassunit*/
	@Excel(name = "cmassunit", width = 15)
	private Integer cmassunit;
	/**bqaneedcheck*/
	@Excel(name = "bqaneedcheck", width = 15)
	private Object bqaneedcheck;
	/**bqaurgency*/
	@Excel(name = "bqaurgency", width = 15)
	private Object bqaurgency;
	/**bqachecking*/
	@Excel(name = "bqachecking", width = 15)
	private Object bqachecking;
	/**bqachecked*/
	@Excel(name = "bqachecked", width = 15)
	private Object bqachecked;
	/**iqaquantity*/
	@Excel(name = "iqaquantity", width = 15)
	private java.math.BigDecimal iqaquantity;
	/**iqanum*/
	@Excel(name = "iqanum", width = 15)
	private java.math.BigDecimal iqanum;
	/**ccusinvcode*/
	@Excel(name = "ccusinvcode", width = 15)
	private String ccusinvcode;
	/**ccusinvname*/
	@Excel(name = "ccusinvname", width = 15)
	private String ccusinvname;
	/**fsumsignquantity*/
	@Excel(name = "fsumsignquantity", width = 15)
	private java.math.BigDecimal fsumsignquantity;
	/**fsumsignnum*/
	@Excel(name = "fsumsignnum", width = 15)
	private java.math.BigDecimal fsumsignnum;
	/**cbaccounter*/
	@Excel(name = "cbaccounter", width = 15)
	private String cbaccounter;
	/**bcosting*/
	@Excel(name = "bcosting", width = 15)
	private Object bcosting;
	/**cordercode*/
	@Excel(name = "cordercode", width = 15)
	private String cordercode;
	/**iorderrowno*/
	@Excel(name = "iorderrowno", width = 15)
	private Integer iorderrowno;
	/**fcusminprice*/
	@Excel(name = "fcusminprice", width = 15)
	private java.math.BigDecimal fcusminprice;
	/**icostquantity*/
	@Excel(name = "icostquantity", width = 15)
	private java.math.BigDecimal icostquantity;
	/**icostsum*/
	@Excel(name = "icostsum", width = 15)
	private Object icostsum;
	/**ispecialtype*/
	@Excel(name = "ispecialtype", width = 15)
	private Integer ispecialtype;
	/**cvmivencode*/
	@Excel(name = "cvmivencode", width = 15)
	private String cvmivencode;
	/**iexchsum*/
	@Excel(name = "iexchsum", width = 15)
	private Object iexchsum;
	/**imoneysum*/
	@Excel(name = "imoneysum", width = 15)
	private Object imoneysum;
	/**irowno*/
	@Excel(name = "irowno", width = 15)
	private Integer irowno;
	/**frettbquantity*/
	@Excel(name = "frettbquantity", width = 15)
	private java.math.BigDecimal frettbquantity;
	/**fretsum*/
	@Excel(name = "fretsum", width = 15)
	private java.math.BigDecimal fretsum;
	/**iexpiratdatecalcu*/
	@Excel(name = "iexpiratdatecalcu", width = 15)
	private Integer iexpiratdatecalcu;
	/**dexpirationdate*/
	@Excel(name = "dexpirationdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dexpirationdate;
	/**cexpirationdate*/
	@Excel(name = "cexpirationdate", width = 15)
	private String cexpirationdate;
	/**cbatchproperty1*/
	@Excel(name = "cbatchproperty1", width = 15)
	private java.math.BigDecimal cbatchproperty1;
	/**cbatchproperty2*/
	@Excel(name = "cbatchproperty2", width = 15)
	private java.math.BigDecimal cbatchproperty2;
	/**cbatchproperty3*/
	@Excel(name = "cbatchproperty3", width = 15)
	private java.math.BigDecimal cbatchproperty3;
	/**cbatchproperty4*/
	@Excel(name = "cbatchproperty4", width = 15)
	private java.math.BigDecimal cbatchproperty4;
	/**cbatchproperty5*/
	@Excel(name = "cbatchproperty5", width = 15)
	private java.math.BigDecimal cbatchproperty5;
	/**cbatchproperty6*/
	@Excel(name = "cbatchproperty6", width = 15)
	private String cbatchproperty6;
	/**cbatchproperty7*/
	@Excel(name = "cbatchproperty7", width = 15)
	private String cbatchproperty7;
	/**cbatchproperty8*/
	@Excel(name = "cbatchproperty8", width = 15)
	private String cbatchproperty8;
	/**cbatchproperty9*/
	@Excel(name = "cbatchproperty9", width = 15)
	private String cbatchproperty9;
	/**cbatchproperty10*/
	@Excel(name = "cbatchproperty10", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cbatchproperty10;
	/**dblpreexchmomey*/
	@Excel(name = "dblpreexchmomey", width = 15)
	private java.math.BigDecimal dblpreexchmomey;
	/**dblpremomey*/
	@Excel(name = "dblpremomey", width = 15)
	private java.math.BigDecimal dblpremomey;
	/**idemandtype*/
	@Excel(name = "idemandtype", width = 15)
	private Integer idemandtype;
	/**cdemandcode*/
	@Excel(name = "cdemandcode", width = 15)
	private String cdemandcode;
	/**cdemandmemo*/
	@Excel(name = "cdemandmemo", width = 15)
	private String cdemandmemo;
	/**cdemandid*/
	@Excel(name = "cdemandid", width = 15)
	private String cdemandid;
	/**idemandseq*/
	@Excel(name = "idemandseq", width = 15)
	private Integer idemandseq;
	/**cvencode*/
	@Excel(name = "cvencode", width = 15)
	private String cvencode;
	/**creasoncode*/
	@Excel(name = "creasoncode", width = 15)
	private String creasoncode;
	/**cinvsn*/
	@Excel(name = "cinvsn", width = 15)
	private String cinvsn;
	/**iinvsncount*/
	@Excel(name = "iinvsncount", width = 15)
	private Integer iinvsncount;
	/**bneedsign*/
	@Excel(name = "bneedsign", width = 15)
	private Object bneedsign;
	/**bsignover*/
	@Excel(name = "bsignover", width = 15)
	private Object bsignover;
	/**bneedloss*/
	@Excel(name = "bneedloss", width = 15)
	private Object bneedloss;
	/**flossrate*/
	@Excel(name = "flossrate", width = 15)
	private java.math.BigDecimal flossrate;
	/**frlossqty*/
	@Excel(name = "frlossqty", width = 15)
	private java.math.BigDecimal frlossqty;
	/**fulossqty*/
	@Excel(name = "fulossqty", width = 15)
	private java.math.BigDecimal fulossqty;
	/**isettletype*/
	@Excel(name = "isettletype", width = 15)
	private Integer isettletype;
	/**crelacuscode*/
	@Excel(name = "crelacuscode", width = 15)
	private String crelacuscode;
	/**clossmaker*/
	@Excel(name = "clossmaker", width = 15)
	private String clossmaker;
	/**dlossdate*/
	@Excel(name = "dlossdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dlossdate;
	/**dlosstime*/
	@Excel(name = "dlosstime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dlosstime;
	/**icoridlsid*/
	@Excel(name = "icoridlsid", width = 15)
	private Integer icoridlsid;
	/**fretoutqty*/
	@Excel(name = "fretoutqty", width = 15)
	private java.math.BigDecimal fretoutqty;
	/**bodyOutid*/
	@Excel(name = "bodyOutid", width = 15)
	private String bodyOutid;
	/**fveribillqty*/
	@Excel(name = "fveribillqty", width = 15)
	private java.math.BigDecimal fveribillqty;
	/**fveribillsum*/
	@Excel(name = "fveribillsum", width = 15)
	private Object fveribillsum;
	/**fveriretqty*/
	@Excel(name = "fveriretqty", width = 15)
	private java.math.BigDecimal fveriretqty;
	/**fveriretsum*/
	@Excel(name = "fveriretsum", width = 15)
	private Object fveriretsum;
	/**flastsettleqty*/
	@Excel(name = "flastsettleqty", width = 15)
	private java.math.BigDecimal flastsettleqty;
	/**flastsettlesum*/
	@Excel(name = "flastsettlesum", width = 15)
	private Object flastsettlesum;
	/**cbookwhcode*/
	@Excel(name = "cbookwhcode", width = 15)
	private String cbookwhcode;
	/**cinvouchtype*/
	@Excel(name = "cinvouchtype", width = 15)
	private String cinvouchtype;
	/**cposition*/
	@Excel(name = "cposition", width = 15)
	private String cposition;
	/**fretqtywkp*/
	@Excel(name = "fretqtywkp", width = 15)
	private java.math.BigDecimal fretqtywkp;
	/**fretqtyykp*/
	@Excel(name = "fretqtyykp", width = 15)
	private java.math.BigDecimal fretqtyykp;
	/**frettbqtyykp*/
	@Excel(name = "frettbqtyykp", width = 15)
	private java.math.BigDecimal frettbqtyykp;
	/**fretsumykp*/
	@Excel(name = "fretsumykp", width = 15)
	private java.math.BigDecimal fretsumykp;
	/**dkeepdate*/
	@Excel(name = "dkeepdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dkeepdate;
	/**cscloser*/
	@Excel(name = "cscloser", width = 15)
	private String cscloser;
	/**isaleoutid*/
	@Excel(name = "isaleoutid", width = 15)
	private Integer isaleoutid;
	/**bsaleprice*/
	@Excel(name = "bsaleprice", width = 15)
	private Object bsaleprice;
	/**bgift*/
	@Excel(name = "bgift", width = 15)
	private Object bgift;
	/**bmpforderclosed*/
	@Excel(name = "bmpforderclosed", width = 15)
	private Object bmpforderclosed;
	/**cbsysbarcode*/
	@Excel(name = "cbsysbarcode", width = 15)
	private String cbsysbarcode;
	/**fxjquantity*/
	@Excel(name = "fxjquantity", width = 15)
	private Float fxjquantity;
	/**fxjnum*/
	@Excel(name = "fxjnum", width = 15)
	private Float fxjnum;
	/**biacreatebill*/
	@Excel(name = "biacreatebill", width = 15)
	private Object biacreatebill;
	/**cparentcode*/
	@Excel(name = "cparentcode", width = 15)
	private String cparentcode;
	/**cchildcode*/
	@Excel(name = "cchildcode", width = 15)
	private String cchildcode;
	/**fchildqty*/
	@Excel(name = "fchildqty", width = 15)
	private java.math.BigDecimal fchildqty;
	/**fchildrate*/
	@Excel(name = "fchildrate", width = 15)
	private java.math.BigDecimal fchildrate;
	/**icalctype*/
	@Excel(name = "icalctype", width = 15)
	private Integer icalctype;
	/**fappretwkpqty*/
	@Excel(name = "fappretwkpqty", width = 15)
	private java.math.BigDecimal fappretwkpqty;
	/**fappretwkpsum*/
	@Excel(name = "fappretwkpsum", width = 15)
	private java.math.BigDecimal fappretwkpsum;
	/**fappretykpqty*/
	@Excel(name = "fappretykpqty", width = 15)
	private java.math.BigDecimal fappretykpqty;
	/**fappretykpsum*/
	@Excel(name = "fappretykpsum", width = 15)
	private java.math.BigDecimal fappretykpsum;
	/**fappretwkptbqty*/
	@Excel(name = "fappretwkptbqty", width = 15)
	private java.math.BigDecimal fappretwkptbqty;
	/**fappretykptbqty*/
	@Excel(name = "fappretykptbqty", width = 15)
	private java.math.BigDecimal fappretykptbqty;
	/**irtnappid*/
	@Excel(name = "irtnappid", width = 15)
	private Integer irtnappid;
	/**crtnappcode*/
	@Excel(name = "crtnappcode", width = 15)
	private String crtnappcode;
	/**fretailrealamount*/
	@Excel(name = "fretailrealamount", width = 15)
	private java.math.BigDecimal fretailrealamount;
	/**fretailsettleamount*/
	@Excel(name = "fretailsettleamount", width = 15)
	private java.math.BigDecimal fretailsettleamount;
	/**cfactorycode*/
	@Excel(name = "cfactorycode", width = 15)
	private String cfactorycode;
	/**gcsourceid*/
	@Excel(name = "gcsourceid", width = 15)
	private Integer gcsourceid;
	/**gcsourceids*/
	@Excel(name = "gcsourceids", width = 15)
	private Integer gcsourceids;
	/**cconfirmer*/
	@Excel(name = "cconfirmer", width = 15)
	private String cconfirmer;
	/**dconfirmdate*/
	@Excel(name = "dconfirmdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dconfirmdate;
}
