package org.jeecg.modules.fbsInventory.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 存库档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Data
@TableName("Inventory")
public class FbsInventory implements Serializable {
    private static final long serialVersionUID = 1L;
	/**id*/
	@Excel(name = "id", width = 15)
	@TableField(exist = false)
	private String id;
	/**cinvcode*/
	@Excel(name = "cinvcode", width = 15)
	private String cinvcode;
	/**cinvaddcode*/
	@Excel(name = "cinvaddcode", width = 15)
	private String cinvaddcode;
	/**cinvname*/
	@Excel(name = "cinvname", width = 15)
	private String cinvname;
	/**cinvstd*/
	@Excel(name = "cinvstd", width = 15)
	private String cinvstd;
	/**cinvccode*/
	@Excel(name = "cinvccode", width = 15)
	private String cinvccode;
	/**cvencode*/
	@Excel(name = "cvencode", width = 15)
	private String cvencode;
	/**creplaceitem*/
	@Excel(name = "creplaceitem", width = 15)
	private String creplaceitem;
	/**cposition*/
	@Excel(name = "cposition", width = 15)
	private String cposition;
	/**bsale*/
	@Excel(name = "bsale", width = 15)
	private Object bsale;
	/**bpurchase*/
	@Excel(name = "bpurchase", width = 15)
	private Object bpurchase;
	/**bself*/
	@Excel(name = "bself", width = 15)
	private Object bself;
	/**bcomsume*/
	@Excel(name = "bcomsume", width = 15)
	private Object bcomsume;
	/**bproducing*/
	@Excel(name = "bproducing", width = 15)
	private Object bproducing;
	/**bservice*/
	@Excel(name = "bservice", width = 15)
	private Object bservice;
	/**baccessary*/
	@Excel(name = "baccessary", width = 15)
	private Object baccessary;
	/**itaxrate*/
	@Excel(name = "itaxrate", width = 15)
	private Float itaxrate;
	/**iinvweight*/
	@Excel(name = "iinvweight", width = 15)
	private Float iinvweight;
	/**ivolume*/
	@Excel(name = "ivolume", width = 15)
	private Float ivolume;
	/**iinvrcost*/
	@Excel(name = "iinvrcost", width = 15)
	private Float iinvrcost;
	/**iinvsprice*/
	@Excel(name = "iinvsprice", width = 15)
	private Float iinvsprice;
	/**iinvscost*/
	@Excel(name = "iinvscost", width = 15)
	private Float iinvscost;
	/**iinvlscost*/
	@Excel(name = "iinvlscost", width = 15)
	private Float iinvlscost;
	/**iinvncost*/
	@Excel(name = "iinvncost", width = 15)
	private Float iinvncost;
	/**iinvadvance*/
	@Excel(name = "iinvadvance", width = 15)
	private Float iinvadvance;
	/**iinvbatch*/
	@Excel(name = "iinvbatch", width = 15)
	private Float iinvbatch;
	/**isafenum*/
	@Excel(name = "isafenum", width = 15)
	private Float isafenum;
	/**itopsum*/
	@Excel(name = "itopsum", width = 15)
	private Float itopsum;
	/**ilowsum*/
	@Excel(name = "ilowsum", width = 15)
	private Float ilowsum;
	/**ioverstock*/
	@Excel(name = "ioverstock", width = 15)
	private Float ioverstock;
	/**cinvabc*/
	@Excel(name = "cinvabc", width = 15)
	private String cinvabc;
	/**binvquality*/
	@Excel(name = "binvquality", width = 15)
	private Object binvquality;
	/**binvbatch*/
	@Excel(name = "binvbatch", width = 15)
	private Object binvbatch;
	/**binventrust*/
	@Excel(name = "binventrust", width = 15)
	private Object binventrust;
	/**binvoverstock*/
	@Excel(name = "binvoverstock", width = 15)
	private Object binvoverstock;
	/**dsdate*/
	@Excel(name = "dsdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dsdate;
	/**dedate*/
	@Excel(name = "dedate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dedate;
	/**bfree1*/
	@Excel(name = "bfree1", width = 15)
	private Object bfree1;
	/**bfree2*/
	@Excel(name = "bfree2", width = 15)
	private Object bfree2;
	/**cinvdefine1*/
	@Excel(name = "cinvdefine1", width = 15)
	private String cinvdefine1;
	/**cinvdefine2*/
	@Excel(name = "cinvdefine2", width = 15)
	private String cinvdefine2;
	/**cinvdefine3*/
	@Excel(name = "cinvdefine3", width = 15)
	private String cinvdefine3;
	/**iId*/
	@Excel(name = "iId", width = 15)
	private Integer iId;
	/**binvtype*/
	@Excel(name = "binvtype", width = 15)
	private Object binvtype;
	/**iinvmpcost*/
	@Excel(name = "iinvmpcost", width = 15)
	private Float iinvmpcost;
	/**cquality*/
	@Excel(name = "cquality", width = 15)
	private String cquality;
	/**iinvsalecost*/
	@Excel(name = "iinvsalecost", width = 15)
	private Float iinvsalecost;
	/**iinvscost1*/
	@Excel(name = "iinvscost1", width = 15)
	private Float iinvscost1;
	/**iinvscost2*/
	@Excel(name = "iinvscost2", width = 15)
	private Float iinvscost2;
	/**iinvscost3*/
	@Excel(name = "iinvscost3", width = 15)
	private Float iinvscost3;
	/**bfree3*/
	@Excel(name = "bfree3", width = 15)
	private Object bfree3;
	/**bfree4*/
	@Excel(name = "bfree4", width = 15)
	private Object bfree4;
	/**bfree5*/
	@Excel(name = "bfree5", width = 15)
	private Object bfree5;
	/**bfree6*/
	@Excel(name = "bfree6", width = 15)
	private Object bfree6;
	/**bfree7*/
	@Excel(name = "bfree7", width = 15)
	private Object bfree7;
	/**bfree8*/
	@Excel(name = "bfree8", width = 15)
	private Object bfree8;
	/**bfree9*/
	@Excel(name = "bfree9", width = 15)
	private Object bfree9;
	/**bfree10*/
	@Excel(name = "bfree10", width = 15)
	private Object bfree10;
	/**ccreateperson*/
	@Excel(name = "ccreateperson", width = 15)
	private String ccreateperson;
	/**cmodifyperson*/
	@Excel(name = "cmodifyperson", width = 15)
	private String cmodifyperson;
	/**dmodifydate*/
	@Excel(name = "dmodifydate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dmodifydate;
	/**fsubscribepoint*/
	@Excel(name = "fsubscribepoint", width = 15)
	private Float fsubscribepoint;
	/**fvagquantity*/
	@Excel(name = "fvagquantity", width = 15)
	private Float fvagquantity;
	/**cvaluetype*/
	@Excel(name = "cvaluetype", width = 15)
	private String cvaluetype;
	/**bfixexch*/
	@Excel(name = "bfixexch", width = 15)
	private Object bfixexch;
	/**foutexcess*/
	@Excel(name = "foutexcess", width = 15)
	private Float foutexcess;
	/**finexcess*/
	@Excel(name = "finexcess", width = 15)
	private Float finexcess;
	/**imassdate*/
	@Excel(name = "imassdate", width = 15)
	private Integer imassdate;
	/**iwarndays*/
	@Excel(name = "iwarndays", width = 15)
	private Integer iwarndays;
	/**fexpensesexch*/
	@Excel(name = "fexpensesexch", width = 15)
	private Float fexpensesexch;
	/**btrack*/
	@Excel(name = "btrack", width = 15)
	private Object btrack;
	/**bserial*/
	@Excel(name = "bserial", width = 15)
	private Object bserial;
	/**bbarcode*/
	@Excel(name = "bbarcode", width = 15)
	private Object bbarcode;
	/**iid*/
	@Excel(name = "iid", width = 15)
	private Integer iid;
	/**cbarcode*/
	@Excel(name = "cbarcode", width = 15)
	private String cbarcode;
	/**cinvdefine4*/
	@Excel(name = "cinvdefine4", width = 15)
	private String cinvdefine4;
	/**cinvdefine5*/
	@Excel(name = "cinvdefine5", width = 15)
	private String cinvdefine5;
	/**cinvdefine6*/
	@Excel(name = "cinvdefine6", width = 15)
	private String cinvdefine6;
	/**cinvdefine7*/
	@Excel(name = "cinvdefine7", width = 15)
	private String cinvdefine7;
	/**cinvdefine8*/
	@Excel(name = "cinvdefine8", width = 15)
	private String cinvdefine8;
	/**cinvdefine9*/
	@Excel(name = "cinvdefine9", width = 15)
	private String cinvdefine9;
	/**cinvdefine10*/
	@Excel(name = "cinvdefine10", width = 15)
	private String cinvdefine10;
	/**cinvdefine11*/
	@Excel(name = "cinvdefine11", width = 15)
	private Integer cinvdefine11;
	/**cinvdefine12*/
	@Excel(name = "cinvdefine12", width = 15)
	private Integer cinvdefine12;
	/**cinvdefine13*/
	@Excel(name = "cinvdefine13", width = 15)
	private Float cinvdefine13;
	/**cinvdefine14*/
	@Excel(name = "cinvdefine14", width = 15)
	private Float cinvdefine14;
	/**cinvdefine15*/
	@Excel(name = "cinvdefine15", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cinvdefine15;
	/**cinvdefine16*/
	@Excel(name = "cinvdefine16", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cinvdefine16;
	/**igrouptype*/
	@Excel(name = "igrouptype", width = 15)
	private Integer igrouptype;
	/**cgroupcode*/
	@Excel(name = "cgroupcode", width = 15)
	private String cgroupcode;
	/**ccomunitcode*/
	@Excel(name = "ccomunitcode", width = 15)
	private String ccomunitcode;
	/**casscomunitcode*/
	@Excel(name = "casscomunitcode", width = 15)
	private String casscomunitcode;
	/**csacomunitcode*/
	@Excel(name = "csacomunitcode", width = 15)
	private String csacomunitcode;
	/**cpucomunitcode*/
	@Excel(name = "cpucomunitcode", width = 15)
	private String cpucomunitcode;
	/**cstcomunitcode*/
	@Excel(name = "cstcomunitcode", width = 15)
	private String cstcomunitcode;
	/**ccacomunitcode*/
	@Excel(name = "ccacomunitcode", width = 15)
	private String ccacomunitcode;
	/**cfrequency*/
	@Excel(name = "cfrequency", width = 15)
	private String cfrequency;
	/**ifrequency*/
	@Excel(name = "ifrequency", width = 15)
	private Integer ifrequency;
	/**idays*/
	@Excel(name = "idays", width = 15)
	private Integer idays;
	/**dlastdate*/
	@Excel(name = "dlastdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dlastdate;
	/**iwastage*/
	@Excel(name = "iwastage", width = 15)
	private Float iwastage;
	/**bsolitude*/
	@Excel(name = "bsolitude", width = 15)
	private Object bsolitude;
	/**centerprise*/
	@Excel(name = "centerprise", width = 15)
	private String centerprise;
	/**caddress*/
	@Excel(name = "caddress", width = 15)
	private String caddress;
	/**cfile*/
	@Excel(name = "cfile", width = 15)
	private String cfile;
	/**clabel*/
	@Excel(name = "clabel", width = 15)
	private String clabel;
	/**ccheckout*/
	@Excel(name = "ccheckout", width = 15)
	private String ccheckout;
	/**clicence*/
	@Excel(name = "clicence", width = 15)
	private String clicence;
	/**bspecialties*/
	@Excel(name = "bspecialties", width = 15)
	private Object bspecialties;
	/**cdefwarehouse*/
	@Excel(name = "cdefwarehouse", width = 15)
	private String cdefwarehouse;
	/**ihighprice*/
	@Excel(name = "ihighprice", width = 15)
	private Float ihighprice;
	/**iexpsalerate*/
	@Excel(name = "iexpsalerate", width = 15)
	private Float iexpsalerate;
	/**cpricegroup*/
	@Excel(name = "cpricegroup", width = 15)
	private String cpricegroup;
	/**coffergrade*/
	@Excel(name = "coffergrade", width = 15)
	private String coffergrade;
	/**iofferrate*/
	@Excel(name = "iofferrate", width = 15)
	private Float iofferrate;
	/**cmonth*/
	@Excel(name = "cmonth", width = 15)
	private String cmonth;
	/**iadvancedate*/
	@Excel(name = "iadvancedate", width = 15)
	private Integer iadvancedate;
	/**ccurrencyname*/
	@Excel(name = "ccurrencyname", width = 15)
	private String ccurrencyname;
	/**cproduceaddress*/
	@Excel(name = "cproduceaddress", width = 15)
	private String cproduceaddress;
	/**cproducenation*/
	@Excel(name = "cproducenation", width = 15)
	private String cproducenation;
	/**cregisterno*/
	@Excel(name = "cregisterno", width = 15)
	private String cregisterno;
	/**centerno*/
	@Excel(name = "centerno", width = 15)
	private String centerno;
	/**cpackingtype*/
	@Excel(name = "cpackingtype", width = 15)
	private String cpackingtype;
	/**cenglishname*/
	@Excel(name = "cenglishname", width = 15)
	private String cenglishname;
	/**bpropertycheck*/
	@Excel(name = "bpropertycheck", width = 15)
	private Object bpropertycheck;
	/**cpreparationtype*/
	@Excel(name = "cpreparationtype", width = 15)
	private String cpreparationtype;
	/**ccommodity*/
	@Excel(name = "ccommodity", width = 15)
	private String ccommodity;
	/**irecipebatch*/
	@Excel(name = "irecipebatch", width = 15)
	private Integer irecipebatch;
	/**cnotpatentname*/
	@Excel(name = "cnotpatentname", width = 15)
	private String cnotpatentname;
//	/**pubufts*/
//	private Date pubufts;
	/**bpromotsales*/
	@Excel(name = "bpromotsales", width = 15)
	private Object bpromotsales;
	/**iplanpolicy*/
	@Excel(name = "iplanpolicy", width = 15)
	private Integer iplanpolicy;
	/**iropmethod*/
	@Excel(name = "iropmethod", width = 15)
	private Integer iropmethod;
	/**ibatchrule*/
	@Excel(name = "ibatchrule", width = 15)
	private Integer ibatchrule;
	/**fbatchincrement*/
	@Excel(name = "fbatchincrement", width = 15)
	private Float fbatchincrement;
	/**iassureprovidedays*/
	@Excel(name = "iassureprovidedays", width = 15)
	private Integer iassureprovidedays;
	/**iteststyle*/
	@Excel(name = "iteststyle", width = 15)
	private Integer iteststyle;
	/**idtmethod*/
	@Excel(name = "idtmethod", width = 15)
	private Integer idtmethod;
	/**fdtrate*/
	@Excel(name = "fdtrate", width = 15)
	private Float fdtrate;
	/**fdtnum*/
	@Excel(name = "fdtnum", width = 15)
	private Float fdtnum;
	/**cdtunit*/
	@Excel(name = "cdtunit", width = 15)
	private String cdtunit;
	/**idtstyle*/
	@Excel(name = "idtstyle", width = 15)
	private Integer idtstyle;
	/**iqtmethod*/
	@Excel(name = "iqtmethod", width = 15)
	private Integer iqtmethod;
	/**pictureguid*/
	@Excel(name = "pictureguid", width = 15)
	private Object pictureguid;
	/**bplaninv*/
	@Excel(name = "bplaninv", width = 15)
	private Object bplaninv;
	/**bproxyforeign*/
	@Excel(name = "bproxyforeign", width = 15)
	private Object bproxyforeign;
	/**batomodel*/
	@Excel(name = "batomodel", width = 15)
	private Object batomodel;
	/**bcheckitem*/
	@Excel(name = "bcheckitem", width = 15)
	private Object bcheckitem;
	/**bptomodel*/
	@Excel(name = "bptomodel", width = 15)
	private Object bptomodel;
	/**bequipment*/
	@Excel(name = "bequipment", width = 15)
	private Object bequipment;
	/**cproductunit*/
	@Excel(name = "cproductunit", width = 15)
	private String cproductunit;
	/**forderuplimit*/
	@Excel(name = "forderuplimit", width = 15)
	private Float forderuplimit;
	/**cmassunit*/
	@Excel(name = "cmassunit", width = 15)
	private Integer cmassunit;
	/**fretailprice*/
	@Excel(name = "fretailprice", width = 15)
	private Float fretailprice;
	/**cinvdepcode*/
	@Excel(name = "cinvdepcode", width = 15)
	private String cinvdepcode;
	/**ialteradvance*/
	@Excel(name = "ialteradvance", width = 15)
	private Integer ialteradvance;
	/**falterbasenum*/
	@Excel(name = "falterbasenum", width = 15)
	private Float falterbasenum;
	/**cplanmethod*/
	@Excel(name = "cplanmethod", width = 15)
	private String cplanmethod;
	/**bmps*/
	@Excel(name = "bmps", width = 15)
	private Object bmps;
	/**brop*/
	@Excel(name = "brop", width = 15)
	private Object brop;
	/**breplan*/
	@Excel(name = "breplan", width = 15)
	private Object breplan;
	/**csrpolicy*/
	@Excel(name = "csrpolicy", width = 15)
	private String csrpolicy;
	/**bbillunite*/
	@Excel(name = "bbillunite", width = 15)
	private Object bbillunite;
	/**isupplyday*/
	@Excel(name = "isupplyday", width = 15)
	private Integer isupplyday;
	/**fsupplymulti*/
	@Excel(name = "fsupplymulti", width = 15)
	private Float fsupplymulti;
	/**fminsupply*/
	@Excel(name = "fminsupply", width = 15)
	private Float fminsupply;
	/**bcutmantissa*/
	@Excel(name = "bcutmantissa", width = 15)
	private Object bcutmantissa;
	/**cinvpersoncode*/
	@Excel(name = "cinvpersoncode", width = 15)
	private String cinvpersoncode;
	/**iinvtfid*/
	@Excel(name = "iinvtfid", width = 15)
	private Integer iinvtfid;
	/**cengineerfigno*/
	@Excel(name = "cengineerfigno", width = 15)
	private String cengineerfigno;
	/**bintotalcost*/
	@Excel(name = "bintotalcost", width = 15)
	private Object bintotalcost;
	/**isupplytype*/
	@Excel(name = "isupplytype", width = 15)
	private Integer isupplytype;
	/**bconfigfree1*/
	@Excel(name = "bconfigfree1", width = 15)
	private Object bconfigfree1;
	/**bconfigfree2*/
	@Excel(name = "bconfigfree2", width = 15)
	private Object bconfigfree2;
	/**bconfigfree3*/
	@Excel(name = "bconfigfree3", width = 15)
	private Object bconfigfree3;
	/**bconfigfree4*/
	@Excel(name = "bconfigfree4", width = 15)
	private Object bconfigfree4;
	/**bconfigfree5*/
	@Excel(name = "bconfigfree5", width = 15)
	private Object bconfigfree5;
	/**bconfigfree6*/
	@Excel(name = "bconfigfree6", width = 15)
	private Object bconfigfree6;
	/**bconfigfree7*/
	@Excel(name = "bconfigfree7", width = 15)
	private Object bconfigfree7;
	/**bconfigfree8*/
	@Excel(name = "bconfigfree8", width = 15)
	private Object bconfigfree8;
	/**bconfigfree9*/
	@Excel(name = "bconfigfree9", width = 15)
	private Object bconfigfree9;
	/**bconfigfree10*/
	@Excel(name = "bconfigfree10", width = 15)
	private Object bconfigfree10;
	/**idtlevel*/
	@Excel(name = "idtlevel", width = 15)
	private Integer idtlevel;
	/**cdtaql*/
	@Excel(name = "cdtaql", width = 15)
	private String cdtaql;
	/**bperioddt*/
	@Excel(name = "bperioddt", width = 15)
	private Object bperioddt;
	/**cdtperiod*/
	@Excel(name = "cdtperiod", width = 15)
	private String cdtperiod;
	/**ibigmonth*/
	@Excel(name = "ibigmonth", width = 15)
	private Integer ibigmonth;
	/**ibigday*/
	@Excel(name = "ibigday", width = 15)
	private Integer ibigday;
	/**ismallmonth*/
	@Excel(name = "ismallmonth", width = 15)
	private Integer ismallmonth;
	/**ismallday*/
	@Excel(name = "ismallday", width = 15)
	private Integer ismallday;
	/**boutinvdt*/
	@Excel(name = "boutinvdt", width = 15)
	private Object boutinvdt;
	/**bbackinvdt*/
	@Excel(name = "bbackinvdt", width = 15)
	private Object bbackinvdt;
	/**ienddtstyle*/
	@Excel(name = "ienddtstyle", width = 15)
	private Integer ienddtstyle;
	/**bdtwarninv*/
	@Excel(name = "bdtwarninv", width = 15)
	private Object bdtwarninv;
	/**fbacktaxrate*/
	@Excel(name = "fbacktaxrate", width = 15)
	private Float fbacktaxrate;
	/**cciqcode*/
	@Excel(name = "cciqcode", width = 15)
	private String cciqcode;
	/**cwgroupcode*/
	@Excel(name = "cwgroupcode", width = 15)
	private String cwgroupcode;
	/**cwunit*/
	@Excel(name = "cwunit", width = 15)
	private String cwunit;
	/**fgrossw*/
	@Excel(name = "fgrossw", width = 15)
	private Float fgrossw;
	/**cvgroupcode*/
	@Excel(name = "cvgroupcode", width = 15)
	private String cvgroupcode;
	/**cvunit*/
	@Excel(name = "cvunit", width = 15)
	private String cvunit;
	/**flength*/
	@Excel(name = "flength", width = 15)
	private Float flength;
	/**fwidth*/
	@Excel(name = "fwidth", width = 15)
	private Float fwidth;
	/**fheight*/
	@Excel(name = "fheight", width = 15)
	private Float fheight;
	/**idtucounter*/
	@Excel(name = "idtucounter", width = 15)
	private Integer idtucounter;
	/**idtdcounter*/
	@Excel(name = "idtdcounter", width = 15)
	private Integer idtdcounter;
	/**ibatchcounter*/
	@Excel(name = "ibatchcounter", width = 15)
	private Integer ibatchcounter;
	/**cshopunit*/
	@Excel(name = "cshopunit", width = 15)
	private String cshopunit;
	/**cpurpersoncode*/
	@Excel(name = "cpurpersoncode", width = 15)
	private String cpurpersoncode;
	/**bimportmedicine*/
	@Excel(name = "bimportmedicine", width = 15)
	private Object bimportmedicine;
	/**bfirstbusimedicine*/
	@Excel(name = "bfirstbusimedicine", width = 15)
	private Object bfirstbusimedicine;
	/**bforeexpland*/
	@Excel(name = "bforeexpland", width = 15)
	private Object bforeexpland;
	/**cinvplancode*/
	@Excel(name = "cinvplancode", width = 15)
	private String cinvplancode;
	/**fconvertrate*/
	@Excel(name = "fconvertrate", width = 15)
	private Float fconvertrate;
	/**dreplacedate*/
	@Excel(name = "dreplacedate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dreplacedate;
	/**binvmodel*/
	@Excel(name = "binvmodel", width = 15)
	private Object binvmodel;
	/**bkccutmantissa*/
	@Excel(name = "bkccutmantissa", width = 15)
	private Object bkccutmantissa;
	/**breceiptbydt*/
	@Excel(name = "breceiptbydt", width = 15)
	private Object breceiptbydt;
	/**iimptaxrate*/
	@Excel(name = "iimptaxrate", width = 15)
	private Float iimptaxrate;
	/**iexptaxrate*/
	@Excel(name = "iexptaxrate", width = 15)
	private Float iexptaxrate;
	/**bexpsale*/
	@Excel(name = "bexpsale", width = 15)
	private Object bexpsale;
	/**idrawbatch*/
	@Excel(name = "idrawbatch", width = 15)
	private Float idrawbatch;
	/**bcheckbsatp*/
	@Excel(name = "bcheckbsatp", width = 15)
	private Object bcheckbsatp;
	/**cinvprojectcode*/
	@Excel(name = "cinvprojectcode", width = 15)
	private String cinvprojectcode;
	/**itestrule*/
	@Excel(name = "itestrule", width = 15)
	private Integer itestrule;
	/**crulecode*/
	@Excel(name = "crulecode", width = 15)
	private String crulecode;
	/**bcheckfree1*/
	@Excel(name = "bcheckfree1", width = 15)
	private Object bcheckfree1;
	/**bcheckfree2*/
	@Excel(name = "bcheckfree2", width = 15)
	private Object bcheckfree2;
	/**bcheckfree3*/
	@Excel(name = "bcheckfree3", width = 15)
	private Object bcheckfree3;
	/**bcheckfree4*/
	@Excel(name = "bcheckfree4", width = 15)
	private Object bcheckfree4;
	/**bcheckfree5*/
	@Excel(name = "bcheckfree5", width = 15)
	private Object bcheckfree5;
	/**bcheckfree6*/
	@Excel(name = "bcheckfree6", width = 15)
	private Object bcheckfree6;
	/**bcheckfree7*/
	@Excel(name = "bcheckfree7", width = 15)
	private Object bcheckfree7;
	/**bcheckfree8*/
	@Excel(name = "bcheckfree8", width = 15)
	private Object bcheckfree8;
	/**bcheckfree9*/
	@Excel(name = "bcheckfree9", width = 15)
	private Object bcheckfree9;
	/**bcheckfree10*/
	@Excel(name = "bcheckfree10", width = 15)
	private Object bcheckfree10;
	/**bbommain*/
	@Excel(name = "bbommain", width = 15)
	private Object bbommain;
	/**bbomsub*/
	@Excel(name = "bbomsub", width = 15)
	private Object bbomsub;
	/**bproductbill*/
	@Excel(name = "bproductbill", width = 15)
	private Object bproductbill;
	/**icheckatp*/
	@Excel(name = "icheckatp", width = 15)
	private Integer icheckatp;
	/**iinvatpid*/
	@Excel(name = "iinvatpid", width = 15)
	private Integer iinvatpid;
	/**iplantfday*/
	@Excel(name = "iplantfday", width = 15)
	private Integer iplantfday;
	/**ioverlapday*/
	@Excel(name = "ioverlapday", width = 15)
	private Integer ioverlapday;
	/**bpiece*/
	@Excel(name = "bpiece", width = 15)
	private Object bpiece;
	/**bsrvitem*/
	@Excel(name = "bsrvitem", width = 15)
	private Object bsrvitem;
	/**bsrvfittings*/
	@Excel(name = "bsrvfittings", width = 15)
	private Object bsrvfittings;
	/**fmaxsupply*/
	@Excel(name = "fmaxsupply", width = 15)
	private Float fmaxsupply;
	/**fminsplit*/
	@Excel(name = "fminsplit", width = 15)
	private Float fminsplit;
	/**bspecialorder*/
	@Excel(name = "bspecialorder", width = 15)
	private Object bspecialorder;
	/**btracksalebill*/
	@Excel(name = "btracksalebill", width = 15)
	private Object btracksalebill;
	/**cinvmnemcode*/
	@Excel(name = "cinvmnemcode", width = 15)
	private String cinvmnemcode;
	/**iplandefault*/
	@Excel(name = "iplandefault", width = 15)
	private Integer iplandefault;
	/**ipfbatchqty*/
	@Excel(name = "ipfbatchqty", width = 15)
	private Float ipfbatchqty;
	/**iallocateprintdgt*/
	@Excel(name = "iallocateprintdgt", width = 15)
	private Integer iallocateprintdgt;
	/**bcheckbatch*/
	@Excel(name = "bcheckbatch", width = 15)
	private Object bcheckbatch;
	/**bmngoldpart*/
	@Excel(name = "bmngoldpart", width = 15)
	private Object bmngoldpart;
	/**ioldpartmngrule*/
	@Excel(name = "ioldpartmngrule", width = 15)
	private Integer ioldpartmngrule;
	/**cretaildefreturnwh*/
	@Excel(name = "cretaildefreturnwh", width = 15)
	private String cretaildefreturnwh;
}
