package org.jeecg.modules.fbsInventory.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsInventory.entity.FbsInventory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 存库档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
public interface FbsInventoryMapper extends BaseMapper<FbsInventory> {
    /**
    * @Author chenchuang
    * @Description //TODO 根据生产订单id查询产品
    * @Date 2020/10/16 18:45
    * @Param [moId]
    * @return java.util.List<org.jeecg.modules.fbsInventory.entity.FbsInventory>
    */
    List<FbsInventory> getInventoryGetByOrderId(@Param("moId")String moId);

    /**
     * 安全库存
     * @return
     */
    List<Map<String,Object>> getStockList();
}
