package org.jeecg.modules.fbsInventory.service;

import org.jeecg.modules.fbsInventory.entity.FbsInventory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 存库档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
public interface IFbsInventoryService extends IService<FbsInventory> {

    /**
    * @Author chenchuang
    * @Description //TODO 根据生产订单id查询产品
    * @Date 2020/10/16 18:47
    * @Param [moId]
    * @return java.util.List<org.jeecg.modules.fbsInventory.entity.FbsInventory>
    */
    List<FbsInventory> getInventoryGetByOrderId(String moId);

    /**
     * 安全库存
     * @return
     */
    List<Map<String,Object>> getStockList();

}
