package org.jeecg.modules.fbsMomOrder.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 生产订单
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Data
@TableName("mom_order")
public class FbsMomOrder implements Serializable {
    private static final long serialVersionUID = 1L;
	/**id*/
	@Excel(name = "id", width = 15)
	@TableField(exist = false)
	private String id;
	/**moid*/
	@Excel(name = "moid", width = 15)
	private Integer moid;
	/**mocode*/
	@Excel(name = "mocode", width = 15)
	private String mocode;
	/**createdate*/
	@Excel(name = "createdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createdate;
	/**createuser*/
	@Excel(name = "createuser", width = 15)
	private String createuser;
	/**modifydate*/
	@Excel(name = "modifydate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date modifydate;
	/**modifyuser*/
	@Excel(name = "modifyuser", width = 15)
	private String modifyuser;
	/**updcount*/
	@Excel(name = "updcount", width = 15)
	private Integer updcount;
//	/**ufts*/
//	private Date ufts;
	/**define1*/
	@Excel(name = "define1", width = 15)
	private String define1;
	/**define2*/
	@Excel(name = "define2", width = 15)
	private String define2;
	/**define3*/
	@Excel(name = "define3", width = 15)
	private String define3;
	/**define4*/
	@Excel(name = "define4", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date define4;
	/**define5*/
	@Excel(name = "define5", width = 15)
	private Integer define5;
	/**define6*/
	@Excel(name = "define6", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date define6;
	/**define7*/
	@Excel(name = "define7", width = 15)
	private Float define7;
	/**define8*/
	@Excel(name = "define8", width = 15)
	private String define8;
	/**define9*/
	@Excel(name = "define9", width = 15)
	private String define9;
	/**define10*/
	@Excel(name = "define10", width = 15)
	private String define10;
	/**define11*/
	@Excel(name = "define11", width = 15)
	private String define11;
	/**define12*/
	@Excel(name = "define12", width = 15)
	private String define12;
	/**define13*/
	@Excel(name = "define13", width = 15)
	private String define13;
	/**define14*/
	@Excel(name = "define14", width = 15)
	private String define14;
	/**define15*/
	@Excel(name = "define15", width = 15)
	private Integer define15;
	/**define16*/
	@Excel(name = "define16", width = 15)
	private Float define16;
	/**vtid*/
	@Excel(name = "vtid", width = 15)
	private Integer vtid;
	/**createtime*/
	@Excel(name = "createtime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createtime;
	/**modifytime*/
	@Excel(name = "modifytime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date modifytime;
	/**iprintcount*/
	@Excel(name = "iprintcount", width = 15)
	private Integer iprintcount;
	/**relsvtid*/
	@Excel(name = "relsvtid", width = 15)
	private Integer relsvtid;
	/**csysbarcode*/
	@Excel(name = "csysbarcode", width = 15)
	private String csysbarcode;


}
