package org.jeecg.modules.fbsPerson.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 人员档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Data
@TableName("Person")
public class FbsPerson implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@Excel(name = "id", width = 15)
	@TableField(exist = false)
	private String id;

	/**cpersoncode*/
	@Excel(name = "cpersoncode", width = 15)
	private String cpersoncode;
	/**cpersonname*/
	@Excel(name = "cpersonname", width = 15)
	private String cpersonname;
	/**cdepcode*/
	@Excel(name = "cdepcode", width = 15)
	private String cdepcode;
	/**cpersonprop*/
	@Excel(name = "cpersonprop", width = 15)
	private String cpersonprop;
	/**fcreditquantity*/
	@Excel(name = "fcreditquantity", width = 15)
	private Float fcreditquantity;
	/**icredate*/
	@Excel(name = "icredate", width = 15)
	private Integer icredate;
	/**ccregrade*/
	@Excel(name = "ccregrade", width = 15)
	private String ccregrade;
	/**ilowrate*/
	@Excel(name = "ilowrate", width = 15)
	private Float ilowrate;
	/**coffergrade*/
	@Excel(name = "coffergrade", width = 15)
	private String coffergrade;
	/**iofferrate*/
	@Excel(name = "iofferrate", width = 15)
	private Float iofferrate;
//	/**pubufts*/
//	private Date pubufts;
	/**cpersonemail*/
	@Excel(name = "cpersonemail", width = 15)
	private String cpersonemail;
	/**cpersonphone*/
	@Excel(name = "cpersonphone", width = 15)
	private String cpersonphone;
//	/**dpvaliddate*/
//	@Excel(name = "dpvaliddate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
//	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
//    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
//	private Date dpvaliddate;
//	/**dpinvaliddate*/
//	@Excel(name = "dpinvaliddate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
//	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
//    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
//	private Date dpinvaliddate;


	@TableField(exist = false)
	private String inTime;//真实开工时间
	@TableField(exist = false)
	private String realName;
	@TableField(exist = false)
	private String warehouseId;
	@TableField(exist = false)
	private String warehouseName;
	@TableField(exist = false)
	private String classId;
	@TableField(exist = false)
	private String className;
	@TableField(exist = false)
	private String avatar;
}
