package org.jeecg.modules.fbsPerson.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsPerson.entity.FbsPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList;

/**
 * @Description: 人员档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
public interface FbsPersonMapper extends BaseMapper<FbsPerson> {
    /**
    * @Author chenchuang
    * @Description //TODO 查询U8人员数据
    * @Date 2020/10/16 16:22
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsPerson.entity.FbsPerson>
    */
    List<FbsPerson> getPerAndDerp();

    /**
     * 通过人员编码查询
     * @return
     */
    List<FbsPerson> getPerByCode(String code);

}
