package org.jeecg.modules.fbsPerson.service;

import org.jeecg.modules.fbsPerson.entity.FbsPerson;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList;

import java.util.List;

/**
 * @Description: 人员档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */

public interface IFbsPersonService extends IService<FbsPerson> {
    /**
    * @Author chenchuang
    * @Description //TODO 查询U8人员数据
    * @Date 2020/10/16 16:22
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsPerson.entity.FbsPerson>
    */
    List<FbsPerson> getPerAndDerp();
    /**
     * 通过人员编码查询
     * @return
     */
    List<FbsPerson> getPerByCode(String code);

}
