package org.jeecg.modules.fbsPerson.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.jeecg.modules.fbsPerson.entity.FbsPerson;
import org.jeecg.modules.fbsPerson.mapper.FbsPersonMapper;
import org.jeecg.modules.fbsPerson.service.IFbsPersonService;
import org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 人员档案
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Service
@DS("multi-datasource1")
public class FbsPersonServiceImpl extends ServiceImpl<FbsPersonMapper, FbsPerson> implements IFbsPersonService {

    @Resource
    FbsPersonMapper fbsPersonMapper;

    @Override
    public List<FbsPerson> getPerAndDerp() {
        return fbsPersonMapper.getPerAndDerp();
    }
    @Override
    public List<FbsPerson> getPerByCode(String code) {
        return fbsPersonMapper.getPerByCode(code);
    }

}
