package org.jeecg.modules.fbsPuArrivalvouch.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 采购到货退货单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-21
 * @version： V1.0
 */
@Data
@TableName("pu_arrivalvouch")
public class FbsPuArrivalvouch implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**ivtid*/
	@Excel(name = "ivtid", width = 15)
	private Integer ivtid;
	/**ufts*/
	private Date ufts;
	/**id*/
	@TableId(type = IdType.UUID)
	private Integer id;
	/**ccode*/
	@Excel(name = "ccode", width = 15)
	private String ccode;
	/**cptcode*/
	@Excel(name = "cptcode", width = 15)
	private String cptcode;
	/**ddate*/
	@Excel(name = "ddate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date ddate;
	/**cvencode*/
	@Excel(name = "cvencode", width = 15)
	private String cvencode;
	/**cdepcode*/
	@Excel(name = "cdepcode", width = 15)
	private String cdepcode;
	/**cpersoncode*/
	@Excel(name = "cpersoncode", width = 15)
	private String cpersoncode;
	/**cpaycode*/
	@Excel(name = "cpaycode", width = 15)
	private String cpaycode;
	/**csccode*/
	@Excel(name = "csccode", width = 15)
	private String csccode;
	/**cexchName*/
	@Excel(name = "cexchName", width = 15)
	private String cexchName;
	/**iexchrate*/
	@Excel(name = "iexchrate", width = 15)
	private Float iexchrate;
	/**itaxrate*/
	@Excel(name = "itaxrate", width = 15)
	private java.math.BigDecimal itaxrate;
	/**cmemo*/
	@Excel(name = "cmemo", width = 15)
	private String cmemo;
	/**cbustype*/
	@Excel(name = "cbustype", width = 15)
	private String cbustype;
	/**cmaker*/
	@Excel(name = "cmaker", width = 15)
	private String cmaker;
	/**bnegative*/
	@Excel(name = "bnegative", width = 15)
	private Integer bnegative;
	/**cdefine1*/
	@Excel(name = "cdefine1", width = 15)
	private String cdefine1;
	/**cdefine2*/
	@Excel(name = "cdefine2", width = 15)
	private String cdefine2;
	/**cdefine3*/
	@Excel(name = "cdefine3", width = 15)
	private String cdefine3;
	/**cdefine4*/
	@Excel(name = "cdefine4", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine4;
	/**cdefine5*/
	@Excel(name = "cdefine5", width = 15)
	private Integer cdefine5;
	/**cdefine6*/
	@Excel(name = "cdefine6", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine6;
	/**cdefine7*/
	@Excel(name = "cdefine7", width = 15)
	private Float cdefine7;
	/**cdefine8*/
	@Excel(name = "cdefine8", width = 15)
	private String cdefine8;
	/**cdefine9*/
	@Excel(name = "cdefine9", width = 15)
	private String cdefine9;
	/**cdefine10*/
	@Excel(name = "cdefine10", width = 15)
	private String cdefine10;
	/**cdefine11*/
	@Excel(name = "cdefine11", width = 15)
	private String cdefine11;
	/**cdefine12*/
	@Excel(name = "cdefine12", width = 15)
	private String cdefine12;
	/**cdefine13*/
	@Excel(name = "cdefine13", width = 15)
	private String cdefine13;
	/**cdefine14*/
	@Excel(name = "cdefine14", width = 15)
	private String cdefine14;
	/**cdefine15*/
	@Excel(name = "cdefine15", width = 15)
	private Integer cdefine15;
	/**cdefine16*/
	@Excel(name = "cdefine16", width = 15)
	private Float cdefine16;
	/**ccloser*/
	@Excel(name = "ccloser", width = 15)
	private String ccloser;
	/**idiscounttaxtype*/
	@Excel(name = "idiscounttaxtype", width = 15)
	private Integer idiscounttaxtype;
	/**ibilltype*/
	@Excel(name = "ibilltype", width = 15)
	private Integer ibilltype;
	/**cvouchtype*/
	@Excel(name = "cvouchtype", width = 15)
	private String cvouchtype;
	/**cgeneralordercode*/
	@Excel(name = "cgeneralordercode", width = 15)
	private String cgeneralordercode;
	/**ctmcode*/
	@Excel(name = "ctmcode", width = 15)
	private String ctmcode;
	/**cincotermcode*/
	@Excel(name = "cincotermcode", width = 15)
	private String cincotermcode;
	/**ctransordercode*/
	@Excel(name = "ctransordercode", width = 15)
	private String ctransordercode;
	/**dportdate*/
	@Excel(name = "dportdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dportdate;
	/**csportcode*/
	@Excel(name = "csportcode", width = 15)
	private String csportcode;
	/**caportcode*/
	@Excel(name = "caportcode", width = 15)
	private String caportcode;
	/**csvencode*/
	@Excel(name = "csvencode", width = 15)
	private String csvencode;
	/**carrivalplace*/
	@Excel(name = "carrivalplace", width = 15)
	private String carrivalplace;
	/**dclosedate*/
	@Excel(name = "dclosedate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dclosedate;
	/**idec*/
	@Excel(name = "idec", width = 15)
	private Integer idec;
	/**bcal*/
	@Excel(name = "bcal", width = 15)
	private Object bcal;
	/**guid*/
	@Excel(name = "guid", width = 15)
	private String guid;
	/**cmaketime*/
	@Excel(name = "cmaketime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cmaketime;
	/**cmodifytime*/
	@Excel(name = "cmodifytime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cmodifytime;
	/**cmodifydate*/
	@Excel(name = "cmodifydate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cmodifydate;
	/**creviser*/
	@Excel(name = "creviser", width = 15)
	private String creviser;
	/**iverifystate*/
	@Excel(name = "iverifystate", width = 15)
	private Integer iverifystate;
	/**cauditdate*/
	@Excel(name = "cauditdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cauditdate;
	/**caudittime*/
	@Excel(name = "caudittime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date caudittime;
	/**cverifier*/
	@Excel(name = "cverifier", width = 15)
	private String cverifier;
	/**iverifystateex*/
	@Excel(name = "iverifystateex", width = 15)
	private Integer iverifystateex;
	/**ireturncount*/
	@Excel(name = "ireturncount", width = 15)
	private Integer ireturncount;
	/**iswfcontrolled*/
	@Excel(name = "iswfcontrolled", width = 15)
	private Object iswfcontrolled;
	/**cvenpuomprotocol*/
	@Excel(name = "cvenpuomprotocol", width = 15)
	private String cvenpuomprotocol;
	/**cchanger*/
	@Excel(name = "cchanger", width = 15)
	private String cchanger;
	/**iflowid*/
	@Excel(name = "iflowid", width = 15)
	private Integer iflowid;
	/**iprintcount*/
	@Excel(name = "iprintcount", width = 15)
	private Integer iprintcount;
	/**ccleanver*/
	@Excel(name = "ccleanver", width = 15)
	private String ccleanver;
	/**cpocode*/
	@Excel(name = "cpocode", width = 15)
	private String cpocode;
	/**csysbarcode*/
	@Excel(name = "csysbarcode", width = 15)
	private String csysbarcode;
	/**ccurrentauditor*/
	@Excel(name = "ccurrentauditor", width = 15)
	private String ccurrentauditor;
}
