package org.jeecg.modules.fbsPuArrivalvouch.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsPuArrivalvouch.entity.FbsPuArrivalvouch;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 采购到货退货单主表（表头）
 * @author： jeecg-boot
 * @date：   2020-10-21
 * @version： V1.0
 */
public interface FbsPuArrivalvouchMapper extends BaseMapper<FbsPuArrivalvouch> {
    /**
     * 收料待检
     * @return
     */
    List<Map<String,Object>> getWatingCheckList();

    /**
     * 已检数量
     * @return
     */
    int getCheckSum();

   /**
     * 已到货待入库数据
     * @return
     */
    List<Map<String,Object>> getWatingInList();

    /**
     * 已入库数据
     * @return
     */
    int getInSum();

}
