package org.jeecg.modules.fbsRdrecord32.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 销售出库单主表（表体）
 * @author： jeecg-boot
 * @date：   2020-10-22
 * @version： V1.0
 */
@Data
@TableName("rdrecords32")
public class FbsRdrecords32 implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**autoid*/
	@Excel(name = "autoid", width = 15)
	private Integer autoid;
	/**id*/
	@TableId(type = IdType.UUID)
	private Integer id;
	/**cinvcode*/
	@Excel(name = "cinvcode", width = 15)
	private String cinvcode;
	/**inum*/
	@Excel(name = "inum", width = 15)
	private java.math.BigDecimal inum;
	/**iquantity*/
	@Excel(name = "iquantity", width = 15)
	private java.math.BigDecimal iquantity;
	/**iunitcost*/
	@Excel(name = "iunitcost", width = 15)
	private java.math.BigDecimal iunitcost;
	/**iprice*/
	@Excel(name = "iprice", width = 15)
	private Object iprice;
	/**iaprice*/
	@Excel(name = "iaprice", width = 15)
	private Object iaprice;
	/**ipunitcost*/
	@Excel(name = "ipunitcost", width = 15)
	private java.math.BigDecimal ipunitcost;
	/**ipprice*/
	@Excel(name = "ipprice", width = 15)
	private Object ipprice;
	/**cbatch*/
	@Excel(name = "cbatch", width = 15)
	private String cbatch;
	/**cvouchcode*/
	@Excel(name = "cvouchcode", width = 15)
	private Integer cvouchcode;
	/**cinvouchcode*/
	@Excel(name = "cinvouchcode", width = 15)
	private String cinvouchcode;
	/**cinvouchtype*/
	@Excel(name = "cinvouchtype", width = 15)
	private String cinvouchtype;
	/**isoutquantity*/
	@Excel(name = "isoutquantity", width = 15)
	private java.math.BigDecimal isoutquantity;
	/**isoutnum*/
	@Excel(name = "isoutnum", width = 15)
	private java.math.BigDecimal isoutnum;
	/**coutvouchid*/
	@Excel(name = "coutvouchid", width = 15)
	private Integer coutvouchid;
	/**coutvouchtype*/
	@Excel(name = "coutvouchtype", width = 15)
	private String coutvouchtype;
	/**isredoutquantity*/
	@Excel(name = "isredoutquantity", width = 15)
	private java.math.BigDecimal isredoutquantity;
	/**isredoutnum*/
	@Excel(name = "isredoutnum", width = 15)
	private java.math.BigDecimal isredoutnum;
	/**cfree1*/
	@Excel(name = "cfree1", width = 15)
	private String cfree1;
	/**cfree2*/
	@Excel(name = "cfree2", width = 15)
	private String cfree2;
	/**iflag*/
	@Excel(name = "iflag", width = 15)
	private Integer iflag;
	/**ifnum*/
	@Excel(name = "ifnum", width = 15)
	private java.math.BigDecimal ifnum;
	/**ifquantity*/
	@Excel(name = "ifquantity", width = 15)
	private java.math.BigDecimal ifquantity;
	/**dvdate*/
	@Excel(name = "dvdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dvdate;
	/**cposition*/
	@Excel(name = "cposition", width = 15)
	private String cposition;
	/**cdefine22*/
	@Excel(name = "cdefine22", width = 15)
	private String cdefine22;
	/**cdefine23*/
	@Excel(name = "cdefine23", width = 15)
	private String cdefine23;
	/**cdefine24*/
	@Excel(name = "cdefine24", width = 15)
	private String cdefine24;
	/**cdefine25*/
	@Excel(name = "cdefine25", width = 15)
	private String cdefine25;
	/**cdefine26*/
	@Excel(name = "cdefine26", width = 15)
	private Float cdefine26;
	/**cdefine27*/
	@Excel(name = "cdefine27", width = 15)
	private Float cdefine27;
	/**citemClass*/
	@Excel(name = "citemClass", width = 15)
	private String citemClass;
	/**citemcode*/
	@Excel(name = "citemcode", width = 15)
	private String citemcode;
	/**idlsid*/
	@Excel(name = "idlsid", width = 15)
	private Integer idlsid;
	/**isbsid*/
	@Excel(name = "isbsid", width = 15)
	private Integer isbsid;
	/**isendquantity*/
	@Excel(name = "isendquantity", width = 15)
	private java.math.BigDecimal isendquantity;
	/**isendnum*/
	@Excel(name = "isendnum", width = 15)
	private java.math.BigDecimal isendnum;
	/**iensid*/
	@Excel(name = "iensid", width = 15)
	private Integer iensid;
	/**cname*/
	@Excel(name = "cname", width = 15)
	private String cname;
	/**citemcname*/
	@Excel(name = "citemcname", width = 15)
	private String citemcname;
	/**cfree3*/
	@Excel(name = "cfree3", width = 15)
	private String cfree3;
	/**cfree4*/
	@Excel(name = "cfree4", width = 15)
	private String cfree4;
	/**cfree5*/
	@Excel(name = "cfree5", width = 15)
	private String cfree5;
	/**cfree6*/
	@Excel(name = "cfree6", width = 15)
	private String cfree6;
	/**cfree7*/
	@Excel(name = "cfree7", width = 15)
	private String cfree7;
	/**cfree8*/
	@Excel(name = "cfree8", width = 15)
	private String cfree8;
	/**cfree9*/
	@Excel(name = "cfree9", width = 15)
	private String cfree9;
	/**cfree10*/
	@Excel(name = "cfree10", width = 15)
	private String cfree10;
	/**cbarcode*/
	@Excel(name = "cbarcode", width = 15)
	private String cbarcode;
	/**inquantity*/
	@Excel(name = "inquantity", width = 15)
	private java.math.BigDecimal inquantity;
	/**innum*/
	@Excel(name = "innum", width = 15)
	private java.math.BigDecimal innum;
	/**cassunit*/
	@Excel(name = "cassunit", width = 15)
	private String cassunit;
	/**dmadedate*/
	@Excel(name = "dmadedate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dmadedate;
	/**imassdate*/
	@Excel(name = "imassdate", width = 15)
	private Integer imassdate;
	/**cdefine28*/
	@Excel(name = "cdefine28", width = 15)
	private String cdefine28;
	/**cdefine29*/
	@Excel(name = "cdefine29", width = 15)
	private String cdefine29;
	/**cdefine30*/
	@Excel(name = "cdefine30", width = 15)
	private String cdefine30;
	/**cdefine31*/
	@Excel(name = "cdefine31", width = 15)
	private String cdefine31;
	/**cdefine32*/
	@Excel(name = "cdefine32", width = 15)
	private String cdefine32;
	/**cdefine33*/
	@Excel(name = "cdefine33", width = 15)
	private String cdefine33;
	/**cdefine34*/
	@Excel(name = "cdefine34", width = 15)
	private Integer cdefine34;
	/**cdefine35*/
	@Excel(name = "cdefine35", width = 15)
	private Integer cdefine35;
	/**cdefine36*/
	@Excel(name = "cdefine36", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine36;
	/**cdefine37*/
	@Excel(name = "cdefine37", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cdefine37;
	/**icheckids*/
	@Excel(name = "icheckids", width = 15)
	private Integer icheckids;
	/**cbvencode*/
	@Excel(name = "cbvencode", width = 15)
	private String cbvencode;
	/**bgsp*/
	@Excel(name = "bgsp", width = 15)
	private Object bgsp;
	/**cgspstate*/
	@Excel(name = "cgspstate", width = 15)
	private String cgspstate;
	/**ccheckcode*/
	@Excel(name = "ccheckcode", width = 15)
	private String ccheckcode;
	/**icheckidbaks*/
	@Excel(name = "icheckidbaks", width = 15)
	private Integer icheckidbaks;
	/**crejectcode*/
	@Excel(name = "crejectcode", width = 15)
	private String crejectcode;
	/**irejectids*/
	@Excel(name = "irejectids", width = 15)
	private Integer irejectids;
	/**ccheckpersoncode*/
	@Excel(name = "ccheckpersoncode", width = 15)
	private String ccheckpersoncode;
	/**dcheckdate*/
	@Excel(name = "dcheckdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dcheckdate;
	/**cmassunit*/
	@Excel(name = "cmassunit", width = 15)
	private Integer cmassunit;
	/**irefundinspectflag*/
	@Excel(name = "irefundinspectflag", width = 15)
	private Integer irefundinspectflag;
	/**strcontractid*/
	@Excel(name = "strcontractid", width = 15)
	private String strcontractid;
	/**strcode*/
	@Excel(name = "strcode", width = 15)
	private String strcode;
	/**bchecked*/
	@Excel(name = "bchecked", width = 15)
	private Object bchecked;
	/**ieqdid*/
	@Excel(name = "ieqdid", width = 15)
	private Integer ieqdid;
	/**blpusefree*/
	@Excel(name = "blpusefree", width = 15)
	private Object blpusefree;
	/**irsrowno*/
	@Excel(name = "irsrowno", width = 15)
	private Integer irsrowno;
	/**ioritrackid*/
	@Excel(name = "ioritrackid", width = 15)
	private Integer ioritrackid;
	/**coritracktype*/
	@Excel(name = "coritracktype", width = 15)
	private String coritracktype;
	/**cbaccounter*/
	@Excel(name = "cbaccounter", width = 15)
	private String cbaccounter;
	/**dbkeepdate*/
	@Excel(name = "dbkeepdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dbkeepdate;
	/**bcosting*/
	@Excel(name = "bcosting", width = 15)
	private Object bcosting;
	/**bvmiused*/
	@Excel(name = "bvmiused", width = 15)
	private Object bvmiused;
	/**ivmisettlequantity*/
	@Excel(name = "ivmisettlequantity", width = 15)
	private java.math.BigDecimal ivmisettlequantity;
	/**ivmisettlenum*/
	@Excel(name = "ivmisettlenum", width = 15)
	private java.math.BigDecimal ivmisettlenum;
	/**cvmivencode*/
	@Excel(name = "cvmivencode", width = 15)
	private String cvmivencode;
	/**iinvsncount*/
	@Excel(name = "iinvsncount", width = 15)
	private Integer iinvsncount;
	/**cwhpersoncode*/
	@Excel(name = "cwhpersoncode", width = 15)
	private String cwhpersoncode;
	/**cwhpersonname*/
	@Excel(name = "cwhpersonname", width = 15)
	private String cwhpersonname;
	/**cserviceoid*/
	@Excel(name = "cserviceoid", width = 15)
	private String cserviceoid;
	/**cbserviceoid*/
	@Excel(name = "cbserviceoid", width = 15)
	private String cbserviceoid;
	/**iinvexchrate*/
	@Excel(name = "iinvexchrate", width = 15)
	private java.math.BigDecimal iinvexchrate;
	/**cbdlcode*/
	@Excel(name = "cbdlcode", width = 15)
	private String cbdlcode;
	/**corufts*/
	@Excel(name = "corufts", width = 15)
	private String corufts;
	/**strcontractguid*/
	@Excel(name = "strcontractguid", width = 15)
	private Object strcontractguid;
	/**iexpiratdatecalcu*/
	@Excel(name = "iexpiratdatecalcu", width = 15)
	private Integer iexpiratdatecalcu;
	/**cexpirationdate*/
	@Excel(name = "cexpirationdate", width = 15)
	private String cexpirationdate;
	/**dexpirationdate*/
	@Excel(name = "dexpirationdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dexpirationdate;
	/**cciqbookcode*/
	@Excel(name = "cciqbookcode", width = 15)
	private String cciqbookcode;
	/**ibondedsumqty*/
	@Excel(name = "ibondedsumqty", width = 15)
	private java.math.BigDecimal ibondedsumqty;
	/**ccusinvcode*/
	@Excel(name = "ccusinvcode", width = 15)
	private String ccusinvcode;
	/**ccusinvname*/
	@Excel(name = "ccusinvname", width = 15)
	private String ccusinvname;
	/**iorderdid*/
	@Excel(name = "iorderdid", width = 15)
	private Integer iorderdid;
	/**iordertype*/
	@Excel(name = "iordertype", width = 15)
	private Integer iordertype;
	/**iordercode*/
	@Excel(name = "iordercode", width = 15)
	private String iordercode;
	/**iorderseq*/
	@Excel(name = "iorderseq", width = 15)
	private Integer iorderseq;
	/**ipesodid*/
	@Excel(name = "ipesodid", width = 15)
	private String ipesodid;
	/**ipesotype*/
	@Excel(name = "ipesotype", width = 15)
	private Integer ipesotype;
	/**cpesocode*/
	@Excel(name = "cpesocode", width = 15)
	private String cpesocode;
	/**ipesoseq*/
	@Excel(name = "ipesoseq", width = 15)
	private Integer ipesoseq;
	/**isodid*/
	@Excel(name = "isodid", width = 15)
	private String isodid;
	/**isotype*/
	@Excel(name = "isotype", width = 15)
	private Integer isotype;
	/**csocode*/
	@Excel(name = "csocode", width = 15)
	private String csocode;
	/**isoseq*/
	@Excel(name = "isoseq", width = 15)
	private Integer isoseq;
	/**cbatchproperty1*/
	@Excel(name = "cbatchproperty1", width = 15)
	private java.math.BigDecimal cbatchproperty1;
	/**cbatchproperty2*/
	@Excel(name = "cbatchproperty2", width = 15)
	private java.math.BigDecimal cbatchproperty2;
	/**cbatchproperty3*/
	@Excel(name = "cbatchproperty3", width = 15)
	private java.math.BigDecimal cbatchproperty3;
	/**cbatchproperty4*/
	@Excel(name = "cbatchproperty4", width = 15)
	private java.math.BigDecimal cbatchproperty4;
	/**cbatchproperty5*/
	@Excel(name = "cbatchproperty5", width = 15)
	private java.math.BigDecimal cbatchproperty5;
	/**cbatchproperty6*/
	@Excel(name = "cbatchproperty6", width = 15)
	private String cbatchproperty6;
	/**cbatchproperty7*/
	@Excel(name = "cbatchproperty7", width = 15)
	private String cbatchproperty7;
	/**cbatchproperty8*/
	@Excel(name = "cbatchproperty8", width = 15)
	private String cbatchproperty8;
	/**cbatchproperty9*/
	@Excel(name = "cbatchproperty9", width = 15)
	private String cbatchproperty9;
	/**cbatchproperty10*/
	@Excel(name = "cbatchproperty10", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date cbatchproperty10;
	/**cbmemo*/
	@Excel(name = "cbmemo", width = 15)
	private String cbmemo;
	/**irowno*/
	@Excel(name = "irowno", width = 15)
	private Integer irowno;
	/**strowguid*/
	@Excel(name = "strowguid", width = 15)
	private Object strowguid;
	/**rowufts*/
	private Date rowufts;
	/**ipreuseqty*/
	@Excel(name = "ipreuseqty", width = 15)
	private java.math.BigDecimal ipreuseqty;
	/**ipreuseinum*/
	@Excel(name = "ipreuseinum", width = 15)
	private java.math.BigDecimal ipreuseinum;
	/**idebitids*/
	@Excel(name = "idebitids", width = 15)
	private Integer idebitids;
	/**fsettleqty*/
	@Excel(name = "fsettleqty", width = 15)
	private java.math.BigDecimal fsettleqty;
	/**fretqtywkp*/
	@Excel(name = "fretqtywkp", width = 15)
	private java.math.BigDecimal fretqtywkp;
	/**fretqtyykp*/
	@Excel(name = "fretqtyykp", width = 15)
	private java.math.BigDecimal fretqtyykp;
	/**cbsysbarcode*/
	@Excel(name = "cbsysbarcode", width = 15)
	private String cbsysbarcode;
	/**biacreatebill*/
	@Excel(name = "biacreatebill", width = 15)
	private Object biacreatebill;
	/**bsaleoutcreatebill*/
	@Excel(name = "bsaleoutcreatebill", width = 15)
	private Object bsaleoutcreatebill;
	/**isaleoutid*/
	@Excel(name = "isaleoutid", width = 15)
	private Integer isaleoutid;
	/**bneedbill*/
	@Excel(name = "bneedbill", width = 15)
	private Object bneedbill;
	/**iposflag*/
	@Excel(name = "iposflag", width = 15)
	private Integer iposflag;
	/**bodyOutid*/
	@Excel(name = "bodyOutid", width = 15)
	private Object bodyOutid;
	/**gcsourceid*/
	@Excel(name = "gcsourceid", width = 15)
	private Integer gcsourceid;
	/**gcsourceids*/
	@Excel(name = "gcsourceids", width = 15)
	private Integer gcsourceids;
	/**cconfirmer*/
	@Excel(name = "cconfirmer", width = 15)
	private String cconfirmer;
	/**dconfirmdate*/
	@Excel(name = "dconfirmdate", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date dconfirmdate;
}
