package org.jeecg.modules.finance.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.basedata.entity.FdCustomer;
import org.jeecg.modules.basedata.entity.FdPersonnel;
import org.jeecg.modules.finance.entity.FdBalancePaymentSettlement;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 尾款结算
 * @author： tanj
 * @date：   2019-07-20
 * @version： V1.0
 */
public interface IFdBalancePaymentSettlementService extends IService<FdBalancePaymentSettlement> {

    IPage<FdBalancePaymentSettlement> findByPage(IPage<FdBalancePaymentSettlement> page, QueryWrapper<FdBalancePaymentSettlement> queryWrapper);

    void addBalancePaymentSettlement(FdBalancePaymentSettlement fdBalancePaymentSettlement);

    void updateBalancePaymentSettlement(FdBalancePaymentSettlement fdBalancePaymentSettlement);

    Map<String, Object> auditBatch(List<String> list);

    Map<String, Object> reviewBatch(List<String> list);
}
