package org.jeecg.modules.finance.service.impl;

import org.jeecg.modules.finance.entity.FdSupplementaryContractReceivablesB;
import org.jeecg.modules.finance.mapper.FdSupplementaryContractReceivablesBMapper;
import org.jeecg.modules.finance.service.IFdSupplementaryContractReceivablesBService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * @Description: 补充合同应收款子表
 * @author： jeecg-boot
 * @date：   2019-07-19
 * @version： V1.0
 */
@Service
public class FdSupplementaryContractReceivablesBServiceImpl extends ServiceImpl<FdSupplementaryContractReceivablesBMapper, FdSupplementaryContractReceivablesB> implements IFdSupplementaryContractReceivablesBService {

    @Resource
    FdSupplementaryContractReceivablesBMapper fdSupplementaryContractReceivablesBMapper;

    @Override
    public FdSupplementaryContractReceivablesB queryByConId(String contractId) {
        return fdSupplementaryContractReceivablesBMapper.queryByConId(contractId);
    }

    //查询数据字典信息
    @Override
    public String queryByDict(String id) {
        return fdSupplementaryContractReceivablesBMapper.queryByDict(id);
    }
}
