package org.jeecg.modules.financeManage.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.financeManage.entity.FdIncome;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplateItem;

/**
 * @Description: 收入确认
 * @author： jeecg-boot
 * @date：   2019-12-02
 * @version： V1.0
 */
public interface FdIncomeMapper extends BaseMapper<FdIncome> {

    IPage<FdIncome> findByPage(Page<FdIncome> page, @Param("ew") QueryWrapper<FdIncome> queryWrapper);

}
