package org.jeecg.modules.financeManage.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.financeManage.entity.FdSampleStorageRevenueRecognition;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 样本储存收入确认
 * @author： jeecg-boot
 * @date：   2020-08-10
 * @version： V1.0
 */
public interface FdSampleStorageRevenueRecognitionMapper extends BaseMapper<FdSampleStorageRevenueRecognition> {
    /**
    * @Author chenchuang
    * @Description //TODO 根据项目id查询相关数据
    * @Date 2020/8/13 13:42
    * @Param [projectId]
    * @return org.jeecg.modules.financeManage.entity.FdSampleStorageRevenueRecognition
    */
    FdSampleStorageRevenueRecognition getByProjectId(@Param("projectId")String projectId);
}
