package org.jeecg.modules.projectManagement.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 合同申办方表
 * @author： jeecg-boot
 * @date：   2019-05-22
 * @version： V1.0
 */
@Data
@TableName("fd_contract_bidparty")
public class FdContractBidparty implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**合同id*/
	@Excel(name = "合同id", width = 15)
	private java.lang.String contractId;
	/**客户id*/
	@Excel(name = "客户id", width = 15)
	private java.lang.String customerId;
	/**客户编码*/
	@Excel(name = "客户编码", width = 15)
	private java.lang.String customerCode;
	/**客户名称*/
	@Excel(name = "客户名称", width = 15)
	private java.lang.String customerName;
	/**删除标记0正常1删除*/
	@Excel(name = "删除标记0正常1删除", width = 15)
	private java.lang.String delFlag;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
}
