package org.jeecg.modules.projectManagement.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 合同比例表
 * @author： jeecg-boot
 * @date：   2019-05-27
 * @version： V1.0
 */
@Data
@TableName("fd_contract_proportion")
public class FdContractProportion implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**合同id*/
	@Excel(name = "合同id", width = 15)
	private java.lang.String contractId;
	/**比例设定*/
	@Excel(name = "比例设定", width = 15)
	private java.lang.String proportionItem;
	/**比例值*/
	@Excel(name = "比例值", width = 15)
	private java.lang.String proportion;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	@Excel(name = "金额合计", width = 15)
	private java.lang.String totalMoney;

	//排序
	private Integer sort;

	// @Excel(name = "费用1", width = 15)
	// private java.lang.String feeCategory1;
    //
	// @Excel(name = "费用2", width = 15)
	// private java.lang.String feeCategory2;


}
