package org.jeecg.modules.projectManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdContractDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 合同明细表
 * @author： jeecg-boot
 * @date：   2019-05-22
 * @version： V1.0
 */
public interface FdContractDetailMapper extends BaseMapper<FdContractDetail> {
    IPage<FdContractDetail> findByPage (Page<FdContractDetail> page, @Param("ew") QueryWrapper<FdContractDetail> queryWrapper);
}
