package org.jeecg.modules.projectManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 项目报价明细
 * @author： jeecg-boot
 * @date：   2019-05-20
 * @version： V1.0
 */
public interface FdProjectQuotationDetailMapper extends BaseMapper<FdProjectQuotationDetail> {

    IPage<FdProjectQuotationDetail> findByPage(Page<FdProjectQuotationDetail>page, @Param("ew") QueryWrapper<FdProjectQuotationDetail>queryWrapper);

    int updateDelFlagByQuotationId(@Param("quotationId")String quotationId);
}
