package org.jeecg.modules.projectManagement.service;

import org.jeecg.modules.projectManagement.entity.FdBioanalysisSampleMilestonesCompletedNumber;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 生物分析样本里程碑当前完成数量
 * @author： jeecg-boot
 * @date：   2019-06-04
 * @version： V1.0
 */
public interface IFdBioanalysisSampleMilestonesCompletedNumberService extends IService<FdBioanalysisSampleMilestonesCompletedNumber> {
    List<FdBioanalysisSampleMilestonesCompletedNumber> getMonthlyDiscrepancyReport(String startDate,String endDate);

    int updateCompletedNumberBatch(List<FdBioanalysisSampleMilestonesCompletedNumber> completedNumberList);
}
