package org.jeecg.modules.projectManagement.service.impl;

import org.jeecg.modules.projectManagement.entity.FdProjectFile;
import org.jeecg.modules.projectManagement.entity.FdProjectFileCompound;
import org.jeecg.modules.projectManagement.mapper.FdProjectFileCompoundMapper;
import org.jeecg.modules.projectManagement.service.IFdProjectFileCompoundService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 项目化合物表
 * @author： jeecg-boot
 * @date：   2019-05-28
 * @version： V1.0
 */
@Service
public class FdProjectFileCompoundServiceImpl extends ServiceImpl<FdProjectFileCompoundMapper, FdProjectFileCompound> implements IFdProjectFileCompoundService {

    @Resource
    FdProjectFileCompoundMapper fdProjectFileCompoundMapper;
    
    /***
     * @Title:根据多个项目档案id查询化合物
            * @Description:TODO
            * @param [list]
            * @return java.util.List<org.jeecg.modules.projectManagement.entity.FdProjectFileCompound>
            * @exception 
            * @author 陈创
            * @date 2019/7/4 21:06
            * @updatehistory:
     *   2019/7/4 21:06 新增
            */
    @Override
    public List<FdProjectFileCompound> getBatchByProjectFildIds(List<FdProjectFile> list) {
        return fdProjectFileCompoundMapper.getBatchByProjectFildIds(list);
    }
}
