package org.jeecg.modules.projectManagement.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.jeecg.modules.projectManagement.entity.*;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @Author tanj
 * @Description //TODO 报价报表JSON格式类
 * @Date 10:55 2019/8/3
 * @Param
 * @return
 **/
@Data
public class StatementJOSN implements Serializable {
    private static final long serialVersionUID = 1L;

	/**人员名称*/
	private String name;
	/**报价数量*/
	private String totalQuotation;
	/**签约数*/
	private String signUpFor;
	/**占比*/
	private String ratio;

}
