package org.jeecg.modules.qualityControl.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.qualityControl.entity.FdQaBiometricSampleAnalysis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 质量保证（生物样本分析）
 * @author： jeecg-boot
 * @date：   2019-06-11
 * @version： V1.0
 */
public interface FdQaBiometricSampleAnalysisMapper extends BaseMapper<FdQaBiometricSampleAnalysis> {

    FdQaBiometricSampleAnalysis queryQaBiometricByConId(String contractId);

    IPage<FdQaBiometricSampleAnalysis> findByPage(Page<FdQaBiometricSampleAnalysis> page, @Param("ew") QueryWrapper<FdQaBiometricSampleAnalysis> queryWrapper);

    FdQaBiometricSampleAnalysis getBySampleCodeAndType(@Param("fdQaBiometricSampleAnalysis")FdQaBiometricSampleAnalysis fdQaBiometricSampleAnalysis);
}
