package org.jeecg.modules.qualityControl.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.qualityControl.entity.FdQcBiologicalAnalysisVerification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 质量控制（生物分析验证）
 * @author： jeecg-boot
 * @date：   2019-06-12
 * @version： V1.0
 */
public interface FdQcBiologicalAnalysisVerificationMapper extends BaseMapper<FdQcBiologicalAnalysisVerification> {
    FdQcBiologicalAnalysisVerification queryQcBiologicalByConId(String pkProjectFile);

    IPage<FdQcBiologicalAnalysisVerification> findByPage(Page<FdQcBiologicalAnalysisVerification> page, @Param("ew") QueryWrapper<FdQcBiologicalAnalysisVerification> queryWrapper);

    FdQcBiologicalAnalysisVerification getByVerifiCodeAndType(@Param("fdQcBiologicalAnalysisVerification")FdQcBiologicalAnalysisVerification fdQcBiologicalAnalysisVerification);
}
