package org.jeecg.modules.qualityControl.service.impl;

import org.jeecg.modules.qualityControl.entity.FdQaBiologicalAnalysisVerificationItems;
import org.jeecg.modules.qualityControl.mapper.FdQaBiologicalAnalysisVerificationItemsMapper;
import org.jeecg.modules.qualityControl.service.IFdQaBiologicalAnalysisVerificationItemsService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 质量保证（生物分析验证）明细
 * @author： jeecg-boot
 * @date：   2019-06-11
 * @version： V1.0
 */
@Service
public class FdQaBiologicalAnalysisVerificationItemsServiceImpl extends ServiceImpl<FdQaBiologicalAnalysisVerificationItemsMapper, FdQaBiologicalAnalysisVerificationItems> implements IFdQaBiologicalAnalysisVerificationItemsService {

    @Resource
    FdQaBiologicalAnalysisVerificationItemsMapper fdQaBiologicalAnalysisVerificationItemsMapper;

    @Override
    public List<FdQaBiologicalAnalysisVerificationItems> findOrderByCode(String id) {
        return fdQaBiologicalAnalysisVerificationItemsMapper.findOrderByCode(id);
    }
}
