package org.jeecg.modules.sampleAndConsumableManagement.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 空白基质文件上传
 * @author： jeecg-boot
 * @date：   2019-06-11
 * @version： V1.0
 */
@Data
@TableName("fd_blank_substrate_file_upload")
public class FdBlankSubstrateFileUpload implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**主键*/
	@TableId(type = IdType.UUID)
	private java.lang.String id;
	/**空白基质主键*/
	@Excel(name = "空白基质主键", width = 15)
	private java.lang.String pkBlankSubstrate;
	/**上传的项目id，参照数据字典*/
	@Excel(name = "上传的项目id，参照数据字典", width = 15)
	private java.lang.String dictId;
	/**项目名称，参照数据字典*/
	@Excel(name = "项目名称，参照数据字典", width = 15)
	private java.lang.String dictText;
	/**文件地址*/
	@Excel(name = "文件地址", width = 15)
	private java.lang.String fileUrl;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private java.lang.String memo;
	/**删除标记0正常1删除*/
	@Excel(name = "删除标记0正常1删除", width = 15)
	private java.lang.String delFlag;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private java.lang.String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	/**最后修改人*/
	@Excel(name = "最后修改人", width = 15)
	private java.lang.String updateBy;
	/**最后修改时间*/
	@Excel(name = "最后修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;


}
