package org.jeecg.modules.sampleAndConsumableManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdBlankSubstrate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: 空白基质管理
 * @author： jeecg-boot
 * @date： 2019-06-10
 * @version： V1.0
 */
public interface FdBlankSubstrateMapper extends BaseMapper<FdBlankSubstrate> {

    FdBlankSubstrate queryBlankSubstrateByConId(String contractId);

    IPage<FdBlankSubstrate> findByPage(Page<FdBlankSubstrate> page, @Param("ew") QueryWrapper<FdBlankSubstrate> queryWrapper);

    List<FdContract> getFileContractList();
}
